Page MenuHomePhabricator

Check if thread was suspended during previous stop added.
ClosedPublic

Authored by fallkrum on May 18 2020, 2:32 AM.

Details

Summary

Encountered the following situation: Let we started thread T1 and it hit breakpoint on B1 location. We suspended T1 and continued the process. Then we started thread T2 which hit for example the same location B1. This time in a breakpoint callback we decided not to stop returning false.

Expected result: process continues (as if T2 did not hit breakpoint) its workflow with T1 still suspended.
Actual result: process do stops (as if T2 callback returned true).

Solution: We need invalidate StopInfo for threads that was previously suspended just because something that is already inactive can not be the reason of stop. Thread::GetPrivateStopInfo() may be appropriate place to do it, because it gets called (through Thread::GetStopInfo()) every time before process reports stop and user gets chance to change m_resume_state again i.e if we see m_resume_state == eStateSuspended it definitely means it was set during previous stop and it also means this thread can not be stopped again (cos' it was frozen during previous stop).

Diff Detail

Event Timeline

fallkrum created this revision.May 18 2020, 2:32 AM
fallkrum updated this revision to Diff 264576.May 18 2020, 3:36 AM
fallkrum added a reviewer: Restricted Project.
fallkrum removed a subscriber: lldb-commits.
fallkrum edited the summary of this revision. (Show Details)May 18 2020, 1:31 PM
fallkrum added a subscriber: lldb-commits.
fallkrum edited the summary of this revision. (Show Details)May 18 2020, 2:12 PM
fallkrum set the repository for this revision to rG LLVM Github Monorepo.

Anybody there? Do you see me?

Anybody there? Do you see me?

Unless this change is somehow urgent, the common courtesy ‘ping’ rate is once a week [1][2]. I'm sure Jim or Greg will take a look when they can.

Would it be possible to add a test for this so it doesn't regress in the future? For example a test that would fail with TSan would be sufficient.

[1] https://llvm.org/docs/Contributing.html#how-to-submit-a-patch
[2] https://llvm.org/docs/CodeReview.html#code-reviews-speed-and-reciprocity

fallkrum added a comment.EditedMay 21 2020, 2:50 PM

Anybody there? Do you see me?

Unless this change is somehow urgent, the common courtesy ‘ping’ rate is once a week [1][2]. I'm sure Jim or Greg will take a look when they can.

Would it be possible to add a test for this so it doesn't regress in the future? For example a test that would fail with TSan would be sufficient.

[1] https://llvm.org/docs/Contributing.html#how-to-submit-a-patch
[2] https://llvm.org/docs/CodeReview.html#code-reviews-speed-and-reciprocity

Thanks for the answer, I don't think it is urgent.
Are there any docs on how to write tests for lldb? I found unit tests (lldb/unittests) written in c++ and tests (lldb/test) written in Python.
Tried to find tests for Thread class to add check for my editing but there is no such a tests. It is very unclear for me in which way TSan
can be helpful in this situation?

Anybody there? Do you see me?

Unless this change is somehow urgent, the common courtesy ‘ping’ rate is once a week [1][2]. I'm sure Jim or Greg will take a look when they can.

Would it be possible to add a test for this so it doesn't regress in the future? For example a test that would fail with TSan would be sufficient.

[1] https://llvm.org/docs/Contributing.html#how-to-submit-a-patch
[2] https://llvm.org/docs/CodeReview.html#code-reviews-speed-and-reciprocity

Thanks for the answer, I don't think it is urgent.

You're welcome!

Are there any docs on how to write tests for lldb? I found unit tests (lldb/unittests) written in c++ and tests (lldb/test) written in Python.
Tried to find tests for Thread class to add check for my editing but there is no such a tests. It is very unclear for me in which way TSan
can be helpful in this situation?

The lldb website [1] contains an overview of the high level structure of the test suite. For a new test I usually either start form the example or from an existing tests.

Ignore my TSan comment, I didn't pay enough attention reading the description, I thought this was fixing a race in lldb.

[1] https://lldb.llvm.org/resources/test.html

fallkrum marked an inline comment as done.May 22 2020, 3:29 AM
fallkrum added inline comments.
lldb/source/Target/Thread.cpp
382 ↗(On Diff #264576)

What is historical need for this check? How is it possible for a breakpoint to stop a thread that was already stopped second time even while stepping in multithreaded programs?

fallkrum updated this revision to Diff 267561.Jun 1 2020, 2:13 AM

Unit tests added.

fallkrum updated this revision to Diff 267564.Jun 1 2020, 2:24 AM

Added changes made to Thread.cpp itself to the patch.

The one scenario I can think of where this might do the wrong thing is:

  1. Hit breakpoint location 1.1 on thread A
  2. Switch to thread B
  3. Run a function on thread B, has to only run on thread B and has to actually run code in the target, like:
(lldb) expr -a 0 -- (int) printf("Hello\n")

The stop reason for thread A should still stay "breakpoint 1.1" and not "no reason".

This one is a little tricky because we have to run the target to execute the function, but if running the expression didn't cause other threads to run, we don't want to lose the program state when we stopped.

I looked for a test that ensures this result, and didn't find one, so I just added one: TestStateAfterExpression.py. Can you make sure that your change still passes this test. If it does, I can't think of anything else that might go wrong with this patch.

@jingham tried test you added, got the following output:

Ilyas-Mac-mini:Ninja ilya$ ./bin/lldb-dotest -p TestStateAfterExpression.py
/Library/Frameworks/Python.framework/Versions/3.8/bin/python3.8 /Users/ilya/Documents/Projects/llvm-project/lldb/test/API/dotest.py --arch x86_64 -s /Users/ilya/Documents/Projects/llvm-project/build/Ninja/lldb-test-traces -S nm -u CXXFLAGS -u CFLAGS --codesign-identity - --server /Users/ilya/Documents/Projects/llvm-project/build/Ninja/./bin/debugserver --build-dir /Users/ilya/Documents/Projects/llvm-project/build/Ninja/lldb-test-build.noindex --executable /Users/ilya/Documents/Projects/llvm-project/build/Ninja/./bin/lldb --compiler /Users/ilya/Documents/Projects/llvm-project/build/Ninja/./bin/clang --dsymutil /Users/ilya/Documents/Projects/llvm-project/build/Ninja/./bin/dsymutil --filecheck /Users/ilya/Documents/Projects/llvm-project/build/Ninja/./bin/FileCheck --lldb-libs-dir /Users/ilya/Documents/Projects/llvm-project/build/Ninja/./lib -p TestStateAfterExpression.py
LLDB library dir: /Users/ilya/Documents/Projects/llvm-project/build/Ninja/bin
LLDB import library dir: /Users/ilya/Documents/Projects/llvm-project/build/Ninja/./lib
lldb version 11.0.0

clang revision c0b351fea652442190b5c890cbd23297762a5d64
llvm revision c0b351fea652442190b5c890cbd23297762a5d64

libstdcxx tests will not be run because: Don't know how to build with libstdcxx on macosx
Skipping following debug info categories: ['dwo']

Session logs for test failures/errors/unexpected successes will go into directory '/Users/ilya/Documents/Projects/llvm-project/build/Ninja/lldb-test-traces'
Command invoked: /Users/ilya/Documents/Projects/llvm-project/lldb/test/API/dotest.py --arch x86_64 -s /Users/ilya/Documents/Projects/llvm-project/build/Ninja/lldb-test-traces -S nm -u CXXFLAGS -u CFLAGS --codesign-identity - --server /Users/ilya/Documents/Projects/llvm-project/build/Ninja/./bin/debugserver --build-dir /Users/ilya/Documents/Projects/llvm-project/build/Ninja/lldb-test-build.noindex --executable /Users/ilya/Documents/Projects/llvm-project/build/Ninja/./bin/lldb --compiler /Users/ilya/Documents/Projects/llvm-project/build/Ninja/./bin/clang --dsymutil /Users/ilya/Documents/Projects/llvm-project/build/Ninja/./bin/dsymutil --filecheck /Users/ilya/Documents/Projects/llvm-project/build/Ninja/./bin/FileCheck --lldb-libs-dir /Users/ilya/Documents/Projects/llvm-project/build/Ninja/./lib -p TestStateAfterExpression.py
PASS: LLDB (/Users/ilya/Documents/Projects/llvm-project/build/Ninja/bin/clang-11-x86_64) :: test_thread_state_after_expr_dsym (TestStateAfterExpression.TestStopReasonAfterExpression)
PASS: LLDB (/Users/ilya/Documents/Projects/llvm-project/build/Ninja/bin/clang-11-x86_64) :: test_thread_state_after_expr_dwarf (TestStateAfterExpression.TestStopReasonAfterExpression)
UNSUPPORTED: LLDB (/Users/ilya/Documents/Projects/llvm-project/build/Ninja/bin/clang-11-x86_64) :: test_thread_state_after_expr_dwo (TestStateAfterExpression.TestStopReasonAfterExpression) (test case does not fall in any category of interest for this run)

PASS: LLDB (/Users/ilya/Documents/Projects/llvm-project/build/Ninja/bin/clang-11-x86_64) :: test_thread_state_after_expr_gmodules (TestStateAfterExpression.TestStopReasonAfterExpression)

Ran 4 tests in 28.206s

RESULT: PASSED (3 passes, 0 failures, 0 errors, 1 skipped, 0 expected failures, 0 unexpected successes)

If I understand everything correctly the patch passes the test.

fallkrum marked an inline comment as done.Jun 4 2020, 1:42 PM
fallkrum added inline comments.
lldb/source/Target/Thread.cpp
382 ↗(On Diff #264576)

Any thoughts on this? Maybe it is better to get rid of IsStillAtLastBreakpointHit at all? In this case there will be no need to check wether thread was suspended.

Sorry, now that I'm thinking about this more, I'm confused as to why you are seeing the symptoms you describe. Thread::ShouldStop starts with:

if (GetResumeState() == eStateSuspended) {
  LLDB_LOGF(log,
            "Thread::%s for tid = 0x%4.4" PRIx64 " 0x%4.4" PRIx64
            ", should_stop = 0 (ignore since thread was suspended)",
            __FUNCTION__, GetID(), GetProtocolID());
  return false;
}

So a suspended thread should always return false from "ShouldStop" and should never make a process stop. Why isn't this effective in your case?

It bugs me a little bit that we are doing work masking the stop info when in fact the ShouldStop mechanism is the one that shouldn't be consulting threads that were suspended by the user during the last run.

As far as I see the problem lies in Process::ProcessEventData::DoOnRemoval:

StopInfoSP stop_info_sp = thread_sp->GetStopInfo();
      if (stop_info_sp && stop_info_sp->IsValid()) {
        does_anybody_have_an_opinion = true;
        bool this_thread_wants_to_stop;
        if (stop_info_sp->GetOverrideShouldStop()) {
          this_thread_wants_to_stop =
              stop_info_sp->GetOverriddenShouldStopValue();
        } else {
          stop_info_sp->PerformAction(event_ptr);
          // The stop action might restart the target.  If it does, then we
          // want to mark that in the event so that whoever is receiving it
          // will know to wait for the running event and reflect that state
          // appropriately. We also need to stop processing actions, since they
          // aren't expecting the target to be running.

          // FIXME: we might have run.
          if (stop_info_sp->HasTargetRunSinceMe()) {
            SetRestarted(true);
            break;
          }

          this_thread_wants_to_stop = stop_info_sp->ShouldStop(event_ptr);
        }

        if (!still_should_stop)
          still_should_stop = this_thread_wants_to_stop;
      }
    }

As you can see we get StopInfo from all the the threads available even suspended (note that all thread's stop_info are valid at this moment due to GetPrivateStopInfo gets called prior to DoOnRemoval). As a result we have a situation when suspended thread's stop_info tells we should stop even when the thread that is a real reason of stop says we should not. Maybe you are right and the right place for the fix is inside Process::ProcessEventData::DoOnRemoval, something like this:

if (stop_info_sp && stop_info_sp->IsValid() && thread_sp->ShouldStop()) {
.....
}
}

But you know, I don't know if it possible to apply it, semantics of Thread::ShouldStop is Thread::ShouldStop(Event *) and it is unclear what kind of event to pass in. In any case, maybe I don't see the whole picture of what's going on yet but I don't see any reason to hold on stop_info of suspended thread.

fallkrum added a comment.EditedJun 4 2020, 4:35 PM

Didn't notice that we use in Process::ProcessEventData::DoOnRemoval:

this_thread_wants_to_stop = stop_info_sp->ShouldStop(event_ptr);

and yes it is probably correct to fix the issue by this:

if (stop_info_sp && stop_info_sp->IsValid() && thread_sp->ShouldStop(event_ptr))

But again not sure if all this correct. Because further in the code we call stop_info_sp->ShouldStop(event_ptr) what looks like a duplicate of thread_sp->ShouldStop(event_ptr). Need your further comments :)

Adding a ShouldStop to that if test doesn't seem right. You should still run the stop actions even if the thread doesn't want to stop.

If I understand the problem you are describing, it is that you suspended a thread as a user-level suspend, so it's stop reason got stuck. That seems okay, its probably useful to keep the stop reason of the thread at what it was when you suspended it. But that means when gets asked to do its action again, the action is stale and does the wrong thing. If that's what's going wrong, then it would make more sense short-circuit suspended threads earlier on in the iteration, like:

lldb::ThreadSP thread_sp = curr_thread_list.GetThreadAtIndex(idx);
// This thread was suspended by the user during this run, so it's actions are stale:
if (thread_sp->GetResumeState() == eStateSuspended)
    continue;

That mirrors what the ThreadList::ShouldStop does. You actually probably don't want to do it quite this way, because it is possible that one thread's breakpoint action could resume another thread. So you should probably first run through the thread list and get all the suspended threads, then run through again doing the actions and skipping the suspended threads you found in the first iteration.

It would be good to write a end-to-end test that mirrors this behavior. It would be pretty straightforward to write an API test that runs a process, sets a breakpoint, hits it on one thread, suspends that thread, then hits it on another thread and make sure the action didn't run twice on the second stop.

Adding a ShouldStop to that if test doesn't seem right. You should still run the stop actions even if the thread doesn't want to stop.

If I understand the problem you are describing, it is that you suspended a thread as a user-level suspend, so it's stop reason got stuck. That seems okay, its probably useful to keep the stop reason of the thread at what it was when you suspended it. But that means when gets asked to do its action again, the action is stale and does the wrong thing. If that's what's going wrong, then it would make more sense short-circuit suspended threads earlier on in the iteration, like:

lldb::ThreadSP thread_sp = curr_thread_list.GetThreadAtIndex(idx);
// This thread was suspended by the user during this run, so it's actions are stale:
if (thread_sp->GetResumeState() == eStateSuspended)
    continue;

That mirrors what the ThreadList::ShouldStop does. You actually probably don't want to do it quite this way, because it is possible that one thread's breakpoint action could resume another thread. So you should probably first run through the thread list and get all the suspended threads, then run through again doing the actions and skipping the suspended threads you found in the first iteration.

Actually, you can more easily do that. The thread iteration where we call PerformAction etc. works on a copy of the thread list (since one thread's action could cause the thread list to change). So if you just change the copy operation to only copy over threads which aren't user-suspended, then you should be set.

It would be good to write a end-to-end test that mirrors this behavior. It would be pretty straightforward to write an API test that runs a process, sets a breakpoint, hits it on one thread, suspends that thread, then hits it on another thread and make sure the action didn't run twice on the second stop.

fallkrum updated this revision to Diff 269067.Jun 7 2020, 11:39 AM

If I understand the problem you are describing, it is that you suspended a thread as a user-level suspend, so it's stop reason got stuck. That seems okay, its probably useful to keep the stop reason of the thread at what it was when you suspended it. But that means when gets asked to do its action again, the action is stale and does the wrong thing. If that's what's going wrong,

Yes, you understood right, that's exactly what was going wrong.

Actually, you can more easily do that. The thread iteration where we call PerformAction etc. works on a copy of the thread list (since one thread's action could cause the thread list to change). So if you just change the copy operation to only copy over threads which aren't user-suspended, then you should be set.

I don't see that's a copy, it seems that's a reference on the actual thread list:

ThreadList &curr_thread_list = process_sp->GetThreadList();

So I decided to filter out all suspended thread as you recommended.

It would be good to write a end-to-end test that mirrors this behavior. It would be pretty straightforward to write an API test that runs a process, sets a breakpoint, hits it on one thread, suspends that thread, then hits it on another thread and make sure the action didn't run twice on the second stop.

Don't see it is possible to write such a test due to StopInfoBreakpoint::PerformAction implementation. This method executes only once and saves results of execution so the next time we call PerformAction it will not execute breakpoint's callback and we have no chance to catch action. Wrote unit tests for ProcessEventData that mirror behaviour.

If I understand the problem you are describing, it is that you suspended a thread as a user-level suspend, so it's stop reason got stuck. That seems okay, its probably useful to keep the stop reason of the thread at what it was when you suspended it. But that means when gets asked to do its action again, the action is stale and does the wrong thing. If that's what's going wrong,

Yes, you understood right, that's exactly what was going wrong.

Actually, you can more easily do that. The thread iteration where we call PerformAction etc. works on a copy of the thread list (since one thread's action could cause the thread list to change). So if you just change the copy operation to only copy over threads which aren't user-suspended, then you should be set.

I don't see that's a copy, it seems that's a reference on the actual thread list:

ThreadList &curr_thread_list = process_sp->GetThreadList();

Ah, right. We store aside the list of thread indexes, not the list of threads, and only use it to check for missing threads.

So I decided to filter out all suspended thread as you recommended.

> It would be good to write a end-to-end test that mirrors this behavior.  It would be pretty straightforward to write an API test that runs a process, sets a breakpoint, hits it on one thread, suspends that thread, then hits it on another thread and make sure the action didn't run twice on the second stop.

Don't see it is possible to write such a test due to StopInfoBreakpoint::PerformAction implementation. This method executes only once and saves results of execution so the next time we call PerformAction it will not execute breakpoint's  callback and we have no chance to catch action. Wrote unit tests for ProcessEventData that mirror behaviour.

I was suggesting something like having a Python breakpoint action that increments a Python variable. Hit the breakpoint first on thread A. That should increment it by one. Then suspend thread A and run to hit the breakpoint on thread B. If your fix is right, then only the thread B action is run, so the python variable will have a value of 2. But if the suspended thread action also runs, the variable will have the value of 3. That seems like a pretty easy test to write, and will ensure that the correct behavior is produced.

This patch has gotten hard to read because the latest version seems to have lots of unrelated changes, maybe from running clang-format over code you aren't actually changing? Can you remove all these irrelevant changes and repost the patch?

I was suggesting something like having a Python breakpoint action that increments a Python variable. Hit the breakpoint first on thread A. That should increment it by one. Then suspend thread A and run to hit the breakpoint on thread B. If your fix is right, then only the thread B action is run, so the python variable will have a value of 2. But if the suspended thread action also runs, the variable will have the value of 3. That seems like a pretty easy test to write, and will ensure that the correct behavior is produced.

Can you please explain in more details what breakpoint actions you keep in mind? My investigations have led to the conclusion that all breakpoint actions (including callbacks) are executed inside StopInfoBreakpoint::PerformAction and only once per StopInfoBreakpoint breakpoint instance. I.e if we saved that StopInfoBreakpoint instance for whatever reason and it wrongly become the reason of stop (as in our case when thread was suspended) the second time we call it's StopInfoBreakpoint::PerformAction it simply returns not performing any actions. Please take a look at it's implementation:

void PerformAction(Event *event_ptr) override {
    if (!m_should_perform_action)
      return;
    m_should_perform_action = false;
      .
      .
      .

Humm... So you'll have to test the continue behavior instead, which after all was your original issue. That shouldn't be too hard, however. Just make a breakpoint action that calls "thread suspend" on its thread and returns false for should_stop the first time it is called, and just returns true every time thereafter. Then the program should stop at the second hit of the breakpoint rather than continuing to the exit.

Humm... So you'll have to test the continue behavior instead, which after all was your original issue. That shouldn't be too hard, however. Just make a breakpoint action that calls "thread suspend" on its thread and returns false for should_stop the first time it is called, and just returns true every time thereafter. Then the program should stop at the second hit of the breakpoint rather than continuing to the exit.

Jim, can you please read summary especially expected result and actual result part once again and tell if everything is clear? Really I can’t get a clue why you asking me to write a test with a program stopping at the second hit when the problem itself was in that it stopped at the second hit when in reality should not because I returned false. If I do the test you suggest (I mean returning true in action the second time and after) debugger will pass it even without applying this patch.

I thought I was just repeating your original description of the problem in a scenario orchestrated by breakpoint actions. I must have missed something in your description if it's true that the scenario I described doesn't match your initial problem. But regardless, if there was a problem you should be able to actually drive lldb, either through the command-line or the SB API to the point of failure. And if so, you should be able to write a test that does the same thing.

IIUC the flow of this revision, the fix is no longer going to be monkeying with private stop reasons, but rather just avoiding suspended threads in the DoOnRemoval part of the stop event handling. That makes it harder to test with the sort of unit test you proposed, but again, it sounds like the problem you described was fairly straightforward to produce, so writing a test that asserts the behavior you want out of that scenario should be straightforward.

fallkrum updated this revision to Diff 269963.Jun 10 2020, 1:50 PM

Sorry for misunderstanding, you were right, it is possible to reproduce situation via SB API tests. Please check them out.

This patch has gotten hard to read because the latest version seems to have lots of unrelated changes, maybe from running clang-format over code you aren't actually changing? Can you remove all these irrelevant changes and repost the patch?

Yes, it was due to clang-format, removed irrelevant changes.

Thanks, this is looking good. I have a bunch of nits, but nothing substantial.

lldb/source/Target/Process.cpp
4002

I would use a reference for have_valid_stopinfo_ptr here. Passing this in isn't optional (and you don't check if the pointer is null...) which is better expressed by taking a reference. If you do have a reason why you want this to be a pointer, then you need to check if its non-null before setting it.

Also, I think "found_valid_stopinfo" is a better name. "have" makes it sound like you are asking whether the ProcessEventData has a valid stopinfo pointer, which doesn't really make sense since Events don't have stop info.

What you are saying is the should stop computation found one...

4035

I'm not entirely sure about this part. Setting the "have_valid_stopinfo_ptr would only matter if we stopped and no non-suspended thread had a valid stop reason. That's really only going to happen because there was a bug in the stub, but when this happens we really can't figure out what to do. The suspended thread's StopInfo isn't going to help us because it is stale by now.

I think the right thing to do in this case is say nobody had an opinion, and let the upper layers deal with whether they want to ignore a seemingly spurious stop, or stop and let the user decide what to do.

4142–4143

You could convert this to an early return if you feel like it. The llvm style purists prefer that.

lldb/test/API/functionalities/thread/ignore_suspended/TestIgnoreSuspendedThread.py
3

Spelling. Also, say what you are testing about suspended threads, like "test that a suspended thread doesn't affect should-stop decisions."

15

This test doesn't depend on the details of debug info generation, and doesn't need to be run once for each format. If you put:

NO_DEBUG_INFO_TESTCASE = True

it will only get run once.

47

What you are testing in this self.expect is already all tested by run_break_set_by_file_and_line. I don't think you need to repeat it. If you want to assert that the breakpoint was set exactly on the line number requested, just pass loc_exact = True as well as num_expected_locations.

63

We've been trying to enforce the discipline that tests only emit stdout if tracing is on. So this print and the subsequent printThreadsStoppedByBreakpoint should be guarded by:

if self.TraceOn():
fallkrum updated this revision to Diff 270148.Jun 11 2020, 8:19 AM

Code review fixes.

fallkrum updated this revision to Diff 270176.Jun 11 2020, 10:11 AM

Removed _ptr from found_valid_stopinfo_ptr.

fallkrum marked 9 inline comments as done.Jun 11 2020, 10:19 AM
fallkrum added inline comments.
lldb/source/Target/Process.cpp
4035

Removed, will return false.

lldb/test/API/functionalities/thread/ignore_suspended/TestIgnoreSuspendedThread.py
47

I'v copied it from another test. Have no need in this, removed.

fallkrum marked 2 inline comments as done.Jun 11 2020, 10:21 AM
This revision is now accepted and ready to land.Jun 11 2020, 11:12 AM

It says "This revision is now accepted and ready to land." If I understand correctly I should be able to merge it somehow to the repository. Do not see how to do it though... Could you help to figure it out?
Also very unclear why Harbormaster always fails with errors like:

[2020-06-11T18:15:11.019Z] Error while processing /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang/llvm-project/lldb/include/lldb/Target/Process.h.
[2020-06-11T18:15:11.019Z]
[2020-06-11T18:15:11.988Z] 480 warnings and 1 error generated.
[2020-06-11T18:15:11.988Z] Error while processing /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang/llvm-project/lldb/source/Target/Process.cpp.
[2020-06-11T18:15:11.988Z]
[2020-06-11T18:15:12.555Z] 442 warnings and 1 error generated.
[2020-06-11T18:15:12.555Z] Error while processing /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang/llvm-project/lldb/unittests/Process/ProcessEventDataTest.cpp.
[2020-06-11T18:15:12.555Z]
[2020-06-11T18:15:13.122Z] 442 warnings and 1 error generated.
[2020-06-11T18:15:13.122Z] Error while processing /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang/llvm-project/lldb/unittests/Thread/ThreadTest.cpp.

It says "This revision is now accepted and ready to land." If I understand correctly I should be able to merge it somehow to the repository. Do not see how to do it though... Could you help to figure it out?

Do you have commit access? If not you can ask someone to commit if for you, Jim or I would be happy to do so.

Also very unclear why Harbormaster always fails with errors like:

[2020-06-11T18:15:11.019Z] Error while processing /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang/llvm-project/lldb/include/lldb/Target/Process.h.
[2020-06-11T18:15:11.019Z]
[2020-06-11T18:15:11.988Z] 480 warnings and 1 error generated.
[2020-06-11T18:15:11.988Z] Error while processing /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang/llvm-project/lldb/source/Target/Process.cpp.
[2020-06-11T18:15:11.988Z]
[2020-06-11T18:15:12.555Z] 442 warnings and 1 error generated.
[2020-06-11T18:15:12.555Z] Error while processing /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang/llvm-project/lldb/unittests/Process/ProcessEventDataTest.cpp.
[2020-06-11T18:15:12.555Z]
[2020-06-11T18:15:13.122Z] 442 warnings and 1 error generated.
[2020-06-11T18:15:13.122Z] Error while processing /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang/llvm-project/lldb/unittests/Thread/ThreadTest.cpp.

I wouldn't worry about it. Pre-commit testing is still in beta and I think you need to use the arc tool for it to work. I'm also not sure if LLDB has been completely integrated yet.

@JDevlieghere thanks for help. No, I have no commit access, please do it for me.
Should I request the access now or you will grant it in the future?

It says to provide the name and e-mail:
Ilya Bukonkin fallkrum@yahoo.com

It says to provide the name and e-mail:
Ilya Bukonkin fallkrum@yahoo.com

Thanks, committed! I took the liberty of running clang-format over the changes and fixing some trailing whitespace issues.

@JDevlieghere thanks for help. No, I have no commit access, please do it for me.

The review will be automatically updated once Phabricator imports the commit.

Should I request the access now or you will grant it in the future?

You'll have to e-mail Chris, I don't have that power :-)

This revision was automatically updated to reflect the committed changes.

Guys help me figure out what may be wrong. Executed below listed command and can't find my newly added unit tests ThreadTest, ProcessEventDataTest.

Ilyas-Mac-mini:Ninja ilya$ ./bin/llvm-lit --show-tests -sv ../../lldb/test/Unit
-- Available Tests --
  lldb-unit :: API/./APITests/SBCommandInterpreterTest.MultiWordCommand
  lldb-unit :: API/./APITests/SBCommandInterpreterTest.SingleWordCommand
  lldb-unit :: Breakpoint/./LLDBBreakpointTests/BreakpointIDTest.StringIsBreakpointName
  lldb-unit :: Core/./LLDBCoreTests/CommunicationTest.SynchronizeWhileClosing
  lldb-unit :: Core/./LLDBCoreTests/MangledTest.EmptyForInvalidName
  lldb-unit :: Core/./LLDBCoreTests/MangledTest.NameIndexes_FindFunctionSymbols
  lldb-unit :: Core/./LLDBCoreTests/MangledTest.ResultForBlockInvocation
  lldb-unit :: Core/./LLDBCoreTests/MangledTest.ResultForValidName
  lldb-unit :: Core/./LLDBCoreTests/RichManglingContextTest.Basic
  lldb-unit :: Core/./LLDBCoreTests/RichManglingContextTest.FromCxxMethodName
  lldb-unit :: Core/./LLDBCoreTests/RichManglingContextTest.IPDRealloc
  lldb-unit :: Core/./LLDBCoreTests/RichManglingContextTest.SwitchProvider
  lldb-unit :: Core/./LLDBCoreTests/SourceFileCache.FindSourceFileFound
  lldb-unit :: Core/./LLDBCoreTests/SourceFileCache.FindSourceFileNotFound
  lldb-unit :: Core/./LLDBCoreTests/StreamCallbackTest.Callback
  lldb-unit :: Core/./LLDBCoreTests/UniqueCStringMap.NoDefaultConstructor
  lldb-unit :: DataFormatter/./LLDBFormatterTests/FormatManagerTests.CompatibleLangs
  lldb-unit :: DataFormatter/./LLDBFormatterTests/StringPrinterTests.CxxASCII
  lldb-unit :: DataFormatter/./LLDBFormatterTests/StringPrinterTests.CxxUTF8
  lldb-unit :: DataFormatter/./LLDBFormatterTests/StringPrinterTests.SwiftUTF8
  lldb-unit :: Disassembler/./DisassemblerTests/TestArm64Disassembly.TestArmv81Instruction
  lldb-unit :: Disassembler/./DisassemblerTests/TestArmv7Disassembly.TestCortexFPDisass
  lldb-unit :: Editline/./EditlineTests/EditlineTestFixture.EditlineReceivesMultiLineText
  lldb-unit :: Editline/./EditlineTests/EditlineTestFixture.EditlineReceivesSingleLineText
  lldb-unit :: Expression/./ExpressionTests/ClangExpressionDeclMapTest.TestPersistentDeclLookup
  lldb-unit :: Expression/./ExpressionTests/ClangExpressionDeclMapTest.TestUnknownIdentifierLookup
  lldb-unit :: Expression/./ExpressionTests/ClangHostTest.ComputeClangResourceDirectory
  lldb-unit :: Expression/./ExpressionTests/ClangHostTest.MacOSX
  lldb-unit :: Expression/./ExpressionTests/CppModuleConfigurationTest.AmbiguousCLib
  lldb-unit :: Expression/./ExpressionTests/CppModuleConfigurationTest.AmbiguousLibCpp
  lldb-unit :: Expression/./ExpressionTests/CppModuleConfigurationTest.IgnoreLibStdCpp
  lldb-unit :: Expression/./ExpressionTests/CppModuleConfigurationTest.LibCppV2
  lldb-unit :: Expression/./ExpressionTests/CppModuleConfigurationTest.Linux
  lldb-unit :: Expression/./ExpressionTests/CppModuleConfigurationTest.LinuxLocalLibCpp
  lldb-unit :: Expression/./ExpressionTests/CppModuleConfigurationTest.MissingLibCpp
  lldb-unit :: Expression/./ExpressionTests/CppModuleConfigurationTest.MissingUsrInclude
  lldb-unit :: Expression/./ExpressionTests/CppModuleConfigurationTest.Sysroot
  lldb-unit :: Expression/./ExpressionTests/CppModuleConfigurationTest.UnknownLibCppFile
  lldb-unit :: Expression/./ExpressionTests/CppModuleConfigurationTest.UnrelatedLibrary
  lldb-unit :: Expression/./ExpressionTests/CppModuleConfigurationTest.Xcode
  lldb-unit :: Expression/./ExpressionTests/DWARFExpression.DW_OP_convert
  lldb-unit :: Expression/./ExpressionTests/DWARFExpression.DW_OP_pick
  lldb-unit :: Expression/./ExpressionTests/DWARFExpression.DW_OP_piece
  lldb-unit :: Expression/./ExpressionTests/DWARFExpression.DW_OP_stack_value
  lldb-unit :: Expression/./ExpressionTests/DWARFExpression.DW_OP_unknown
  lldb-unit :: Expression/./ExpressionTests/DiagnosticManagerTest.AddDiagnostic
  lldb-unit :: Expression/./ExpressionTests/DiagnosticManagerTest.AppendMessageAttachToLastDiag
  lldb-unit :: Expression/./ExpressionTests/DiagnosticManagerTest.AppendMessageNoDiag
  lldb-unit :: Expression/./ExpressionTests/DiagnosticManagerTest.AppendMessageSubsequentDiags
  lldb-unit :: Expression/./ExpressionTests/DiagnosticManagerTest.FixedExpression
  lldb-unit :: Expression/./ExpressionTests/DiagnosticManagerTest.GetStringBasic
  lldb-unit :: Expression/./ExpressionTests/DiagnosticManagerTest.GetStringMultiline
  lldb-unit :: Expression/./ExpressionTests/DiagnosticManagerTest.GetStringMultipleDiags
  lldb-unit :: Expression/./ExpressionTests/DiagnosticManagerTest.GetStringNoDiags
  lldb-unit :: Expression/./ExpressionTests/DiagnosticManagerTest.GetStringPreserveOrder
  lldb-unit :: Expression/./ExpressionTests/DiagnosticManagerTest.GetStringSeverityLabels
  lldb-unit :: Expression/./ExpressionTests/DiagnosticManagerTest.HasFixits
  lldb-unit :: Expression/./ExpressionTests/DiagnosticManagerTest.PutString
  lldb-unit :: Expression/./ExpressionTests/DiagnosticManagerTest.PutStringMultiple
  lldb-unit :: Expression/./ExpressionTests/DiagnosticManagerTest.PutStringSeverities
  lldb-unit :: Host/./HostTests/ConnectionFileDescriptorTest.TCPGetURIv4
  lldb-unit :: Host/./HostTests/ConnectionFileDescriptorTest.TCPGetURIv6
  lldb-unit :: Host/./HostTests/File.GetStreamFromDescriptor
  lldb-unit :: Host/./HostTests/File.GetWaitableHandleFileno
  lldb-unit :: Host/./HostTests/FileActionTest.Open
  lldb-unit :: Host/./HostTests/FileSystemTest.EmptyTest
  lldb-unit :: Host/./HostTests/FileSystemTest.EnumerateDirectory
  lldb-unit :: Host/./HostTests/FileSystemTest.Exists
  lldb-unit :: Host/./HostTests/FileSystemTest.FileAndDirectoryComponents
  lldb-unit :: Host/./HostTests/FileSystemTest.GetByteSize
  lldb-unit :: Host/./HostTests/FileSystemTest.GetPermissions
  lldb-unit :: Host/./HostTests/FileSystemTest.MakeAbsolute
  lldb-unit :: Host/./HostTests/FileSystemTest.OpenErrno
  lldb-unit :: Host/./HostTests/FileSystemTest.Readable
  lldb-unit :: Host/./HostTests/FileSystemTest.Resolve
  lldb-unit :: Host/./HostTests/Host.GetEnvironment
  lldb-unit :: Host/./HostTests/Host.WaitStatusFormat
  lldb-unit :: Host/./HostTests/HostInfoTest.GetAugmentedArchSpec
  lldb-unit :: Host/./HostTests/HostInfoTest.GetHostname
  lldb-unit :: Host/./HostTests/HostInfoTest.GetXcodeSDK
  lldb-unit :: Host/./HostTests/MainLoopTest.DetectsEOF
  lldb-unit :: Host/./HostTests/MainLoopTest.ReadObject
  lldb-unit :: Host/./HostTests/MainLoopTest.Signal
  lldb-unit :: Host/./HostTests/MainLoopTest.TerminatesImmediately
  lldb-unit :: Host/./HostTests/MainLoopTest.UnmonitoredSignal
  lldb-unit :: Host/./HostTests/NativeProcessProtocolTest.ReadCStringFromMemory
  lldb-unit :: Host/./HostTests/NativeProcessProtocolTest.ReadCStringFromMemory_CrossPageBoundary
  lldb-unit :: Host/./HostTests/NativeProcessProtocolTest.ReadCStringFromMemory_MaxSize
  lldb-unit :: Host/./HostTests/NativeProcessProtocolTest.ReadMemoryWithoutTrap
  lldb-unit :: Host/./HostTests/NativeProcessProtocolTest.SetBreakpoint
  lldb-unit :: Host/./HostTests/NativeProcessProtocolTest.SetBreakpointFailRead
  lldb-unit :: Host/./HostTests/NativeProcessProtocolTest.SetBreakpointFailVerify
  lldb-unit :: Host/./HostTests/NativeProcessProtocolTest.SetBreakpointFailWrite
  lldb-unit :: Host/./HostTests/ProcessLaunchInfoTest.Constructor
  lldb-unit :: Host/./HostTests/SocketAddressTest.GetAddressInfo
  lldb-unit :: Host/./HostTests/SocketAddressTest.Set
  lldb-unit :: Host/./HostTests/SocketTest.DecodeHostAndPort
  lldb-unit :: Host/./HostTests/SocketTest.DomainGetConnectURI
  lldb-unit :: Host/./HostTests/SocketTest.DomainListenConnectAccept
  lldb-unit :: Host/./HostTests/SocketTest.TCPGetAddress
  lldb-unit :: Host/./HostTests/SocketTest.TCPGetConnectURI
  lldb-unit :: Host/./HostTests/SocketTest.TCPListen0ConnectAccept
  lldb-unit :: Host/./HostTests/SocketTest.TCPListen0GetPort
  lldb-unit :: Host/./HostTests/SocketTest.UDPConnect
  lldb-unit :: Host/./HostTests/SocketTest.UDPGetConnectURI
  lldb-unit :: Instruction/./EmulatorTests/TestAArch64Emulator.TestOverflow
  lldb-unit :: Interpreter/./InterpreterTests/CompletionTest.DirCompletionAbsolute
  lldb-unit :: Interpreter/./InterpreterTests/CompletionTest.DirCompletionUsername
  lldb-unit :: Interpreter/./InterpreterTests/CompletionTest.FileCompletionAbsolute
  lldb-unit :: Interpreter/./InterpreterTests/OptionArgParserTest.toBoolean
  lldb-unit :: Interpreter/./InterpreterTests/OptionArgParserTest.toChar
  lldb-unit :: Interpreter/./InterpreterTests/OptionArgParserTest.toScriptLanguage
  lldb-unit :: Language/CPlusPlus/./LanguageCPlusPlusTests/CPlusPlusLanguage.CPlusPlusNameParser
  lldb-unit :: Language/CPlusPlus/./LanguageCPlusPlusTests/CPlusPlusLanguage.ExtractContextAndIdentifier
  lldb-unit :: Language/CPlusPlus/./LanguageCPlusPlusTests/CPlusPlusLanguage.FindAlternateFunctionManglings
  lldb-unit :: Language/CPlusPlus/./LanguageCPlusPlusTests/CPlusPlusLanguage.MethodNameParsing
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.ClangBraces
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.ClangCommas
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.ClangComments
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.ClangCursorOutOfBounds
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.ClangCursorPos
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.ClangCursorPosAfterOtherToken
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.ClangCursorPosBeforeOtherToken
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.ClangCursorPosEndOfLine
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.ClangCursorPosInOtherToken
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.ClangEmptyInput
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.ClangIdentifiers
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.ClangOperators
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.ClangPPDirectives
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.ClangPreserveNewLine
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.ClangScalarLiterals
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.ClangSquareBrackets
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.ClangStringLiterals
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.ClangTrailingBackslashBeforeNewline
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.ClangTrailingBackslashMissingNewLine
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.ClangTrailingBackslashWithWhitespace
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.ClangUnterminatedString
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.Colons
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.DefaultHighlighter
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.DefaultHighlighterWithCursor
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.DefaultHighlighterWithCursorOutOfBounds
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.FallbackHighlighter
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.HighlighterSelectionPath
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.HighlighterSelectionType
  lldb-unit :: Language/Highlighting/./HighlighterTests/HighlighterTest.Keywords
  lldb-unit :: ObjectFile/Breakpad/./ObjectFileBreakpadTests/FileRecord.parse
  lldb-unit :: ObjectFile/Breakpad/./ObjectFileBreakpadTests/FuncRecord.parse
  lldb-unit :: ObjectFile/Breakpad/./ObjectFileBreakpadTests/InfoRecord.parse
  lldb-unit :: ObjectFile/Breakpad/./ObjectFileBreakpadTests/LineRecord.parse
  lldb-unit :: ObjectFile/Breakpad/./ObjectFileBreakpadTests/ModuleRecord.parse
  lldb-unit :: ObjectFile/Breakpad/./ObjectFileBreakpadTests/PublicRecord.parse
  lldb-unit :: ObjectFile/Breakpad/./ObjectFileBreakpadTests/Record.classify
  lldb-unit :: ObjectFile/Breakpad/./ObjectFileBreakpadTests/StackCFIRecord.parse
  lldb-unit :: ObjectFile/Breakpad/./ObjectFileBreakpadTests/StackWinRecord.parse
  lldb-unit :: ObjectFile/ELF/./ObjectFileELFTests/ObjectFileELFTest.GetModuleSpecifications_EarlySectionHeaders
  lldb-unit :: ObjectFile/ELF/./ObjectFileELFTests/ObjectFileELFTest.GetSymtab_NoSymEntryPointArmAddressClass
  lldb-unit :: ObjectFile/ELF/./ObjectFileELFTests/ObjectFileELFTest.GetSymtab_NoSymEntryPointArmThumbAddressClass
  lldb-unit :: ObjectFile/ELF/./ObjectFileELFTests/ObjectFileELFTest.SectionsResolveConsistently
  lldb-unit :: ObjectFile/PECOFF/./ObjectFilePECOFFTests/PECallFrameInfoTest.Basic_eh
  lldb-unit :: ObjectFile/PECOFF/./ObjectFilePECOFFTests/PECallFrameInfoTest.Chained_eh
  lldb-unit :: ObjectFile/PECOFF/./ObjectFilePECOFFTests/PECallFrameInfoTest.Frame_reg_eh
  lldb-unit :: Platform/./LLDBPlatformTests/PlatformDarwinTest.FindComponentInPath
  lldb-unit :: Platform/./LLDBPlatformTests/PlatformDarwinTest.TestParseVersionBuildDir
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteClientBaseTest.InterruptNoResponse
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteClientBaseTest.SendContinueAndAsyncPacket
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteClientBaseTest.SendContinueAndAsyncSignal
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteClientBaseTest.SendContinueAndInterrupt
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteClientBaseTest.SendContinueAndInterrupt2PacketBug
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteClientBaseTest.SendContinueAndLateInterrupt
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteClientBaseTest.SendContinueAndWait
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteClientBaseTest.SendContinueDelegateInterface
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteClientBaseTest.SendContinueDelegateStructuredDataReceipt
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteClientBaseTest.SendPacketAndReceiveResponseWithOutputSupport
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteCommunicationClientTest.GetMemoryRegionInfo
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteCommunicationClientTest.GetMemoryRegionInfoInvalidResponse
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteCommunicationClientTest.GetModulesInfo
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteCommunicationClientTest.GetModulesInfoInvalidResponse
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteCommunicationClientTest.GetModulesInfo_UUID20
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteCommunicationClientTest.GetQOffsets
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteCommunicationClientTest.ReadRegister
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteCommunicationClientTest.SaveRestoreRegistersNoSuffix
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteCommunicationClientTest.SendGetDataPacket
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteCommunicationClientTest.SendGetMetaDataPacket
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteCommunicationClientTest.SendGetTraceConfigPacket
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteCommunicationClientTest.SendSignalsToIgnore
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteCommunicationClientTest.SendStartTracePacket
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteCommunicationClientTest.SendStopTracePacket
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteCommunicationClientTest.SyncThreadState
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteCommunicationClientTest.TestPacketSpeedJSON
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteCommunicationClientTest.WriteRegister
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteCommunicationClientTest.WriteRegisterNoSuffix
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteCommunicationServerTest.SendErrorResponse_ErrorList
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteCommunicationServerTest.SendErrorResponse_ErrorNumber
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteCommunicationServerTest.SendErrorResponse_Status
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteCommunicationServerTest.SendErrorResponse_StringError
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteCommunicationServerTest.SendErrorResponse_UnimplementedError
  lldb-unit :: Process/gdb-remote/./ProcessGdbRemoteTests/GDBRemoteCommunicationTest.ReadPacket_checksum
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/MinidumpParserTest.FindMemoryRange
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/MinidumpParserTest.FindMemoryRangeWithFullMemoryMinidump
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/MinidumpParserTest.GetArchitecture
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/MinidumpParserTest.GetArchitectureWindows
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/MinidumpParserTest.GetExceptionStream
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/MinidumpParserTest.GetFilteredModuleList
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/MinidumpParserTest.GetLinuxProcStatus
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/MinidumpParserTest.GetLinuxProcStatus_no_stream
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/MinidumpParserTest.GetMemory
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/MinidumpParserTest.GetMemoryRegionInfo
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/MinidumpParserTest.GetMemoryRegionInfoFromMemory64List
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/MinidumpParserTest.GetMemoryRegionInfoFromMemoryList
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/MinidumpParserTest.GetMemoryRegionInfoLinuxMaps
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/MinidumpParserTest.GetMiscInfoWindows
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/MinidumpParserTest.GetMiscInfo_no_stream
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/MinidumpParserTest.GetPid
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/MinidumpParserTest.GetPidWindows
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/MinidumpParserTest.GetPidWow64
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/MinidumpParserTest.GetThreadContext_x86_32
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/MinidumpParserTest.GetThreadContext_x86_32_wow64
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/MinidumpParserTest.GetThreadContext_x86_64
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/MinidumpParserTest.GetThreadsAndGetThreadContext
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/MinidumpParserTest.InvalidMinidump
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/MinidumpParserTest.MinidumpDuplicateModuleMinAddress
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/MinidumpParserTest.MinidumpModuleOrder
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/RegisterContextMinidump.CheckRegisterContextMinidump_ARM
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/RegisterContextMinidump.ConvertMinidumpContext_x86_32
  lldb-unit :: Process/minidump/./LLDBMinidumpTests/RegisterContextMinidump.ConvertMinidumpContext_x86_64
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestBorrowedReferences
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestCallable
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestDictionaryResolutionWithDot
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestExceptions
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestExtractingUInt64ThroughStructuredData
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestGlobalNameResolutionNoDot
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestGlobalNameResolutionWithDot
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestInstanceNameResolutionNoDot
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestModuleNameResolutionNoDot
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestObjectAttributes
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestOwnedReferences
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestPythonBoolean
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestPythonByteArray
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestPythonBytes
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestPythonCallableCheck
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestPythonCallableInvoke
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestPythonDictionaryManipulation
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestPythonDictionaryToStructuredDictionary
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestPythonDictionaryValueEquality
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestPythonFile
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestPythonInteger
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestPythonIntegerToStr
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestPythonIntegerToStructuredInteger
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestPythonListManipulation
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestPythonListToStructuredList
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestPythonListValueEquality
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestPythonString
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestPythonStringToStr
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestPythonStringToStructuredString
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestPythonTupleInitializerList
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestPythonTupleInitializerList2
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestPythonTupleSize
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestPythonTupleToStructuredList
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestPythonTupleValues
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestResetting
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestRun
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestScript
  lldb-unit :: ScriptInterpreter/Python/./ScriptInterpreterPythonTests/PythonDataObjectsTest.TestTypeNameResolutionNoDot
  lldb-unit :: Signals/./SignalsTests/UnixSignalsTest.GetFilteredSignals
  lldb-unit :: Signals/./SignalsTests/UnixSignalsTest.GetInfo
  lldb-unit :: Signals/./SignalsTests/UnixSignalsTest.Iteration
  lldb-unit :: Signals/./SignalsTests/UnixSignalsTest.VersionChange
  lldb-unit :: Symbol/./SymbolTests/DWARFCallFrameInfoTest.Basic_dwarf3
  lldb-unit :: Symbol/./SymbolTests/DWARFCallFrameInfoTest.Basic_dwarf4
  lldb-unit :: Symbol/./SymbolTests/DWARFCallFrameInfoTest.Basic_eh
  lldb-unit :: Symbol/./SymbolTests/LineEntryTest.GetSameLineContiguousAddressRangeNestedInline
  lldb-unit :: Symbol/./SymbolTests/LineEntryTest.GetSameLineContiguousAddressRangeNoInlines
  lldb-unit :: Symbol/./SymbolTests/LineEntryTest.GetSameLineContiguousAddressRangeOneInline
  lldb-unit :: Symbol/./SymbolTests/PostfixExpression.ParseFPOProgram
  lldb-unit :: Symbol/./SymbolTests/PostfixExpression.ParseOneExpression
  lldb-unit :: Symbol/./SymbolTests/PostfixExpression.ToDWARF
  lldb-unit :: Symbol/./SymbolTests/SymbolsTest.LocateExecutableSymbolFileForUnknownExecutableAndMissingSymbolFile
  lldb-unit :: Symbol/./SymbolTests/SymbolsTest.TerminateLocateExecutableSymbolFileForUnknownExecutableAndUnknownSymbolFile
  lldb-unit :: Symbol/./SymbolTests/TestClangASTImporter.CanImportInvalidType
  lldb-unit :: Symbol/./SymbolTests/TestClangASTImporter.CompleteFwdDeclWithOtherOrigin
  lldb-unit :: Symbol/./SymbolTests/TestClangASTImporter.CopyDeclTagDecl
  lldb-unit :: Symbol/./SymbolTests/TestClangASTImporter.CopyTypeTagDecl
  lldb-unit :: Symbol/./SymbolTests/TestClangASTImporter.DeportDeclTagDecl
  lldb-unit :: Symbol/./SymbolTests/TestClangASTImporter.DeportTypeTagDecl
  lldb-unit :: Symbol/./SymbolTests/TestClangASTImporter.ImportInvalidType
  lldb-unit :: Symbol/./SymbolTests/TestClangASTImporter.MetadataPropagation
  lldb-unit :: Symbol/./SymbolTests/TestClangASTImporter.MetadataPropagationAfterCopying
  lldb-unit :: Symbol/./SymbolTests/TestClangASTImporter.MetadataPropagationIndirectImport
  lldb-unit :: Symbol/./SymbolTests/TestClangASTImporter.RecordLayout
  lldb-unit :: Symbol/./SymbolTests/TestTypeSystemClang.AddMethodToObjCObjectType
  lldb-unit :: Symbol/./SymbolTests/TestTypeSystemClang.TemplateArguments
  lldb-unit :: Symbol/./SymbolTests/TestTypeSystemClang.TestBuiltinTypeForEncodingAndBitSize
  lldb-unit :: Symbol/./SymbolTests/TestTypeSystemClang.TestConvertAccessTypeToAccessSpecifier
  lldb-unit :: Symbol/./SymbolTests/TestTypeSystemClang.TestDeletingImplicitCopyCstrDueToMoveCStr
  lldb-unit :: Symbol/./SymbolTests/TestTypeSystemClang.TestDisplayName
  lldb-unit :: Symbol/./SymbolTests/TestTypeSystemClang.TestDisplayNameEmpty
  lldb-unit :: Symbol/./SymbolTests/TestTypeSystemClang.TestFunctionTemplateConstruction
  lldb-unit :: Symbol/./SymbolTests/TestTypeSystemClang.TestFunctionTemplateInRecordConstruction
  lldb-unit :: Symbol/./SymbolTests/TestTypeSystemClang.TestGetBasicTypeFromEnum
  lldb-unit :: Symbol/./SymbolTests/TestTypeSystemClang.TestGetBasicTypeFromName
  lldb-unit :: Symbol/./SymbolTests/TestTypeSystemClang.TestGetEnumIntegerTypeBasicTypes
  lldb-unit :: Symbol/./SymbolTests/TestTypeSystemClang.TestGetEnumIntegerTypeInvalid
  lldb-unit :: Symbol/./SymbolTests/TestTypeSystemClang.TestGetEnumIntegerTypeUnexpectedType
  lldb-unit :: Symbol/./SymbolTests/TestTypeSystemClang.TestGetTypeClassDeclType
  lldb-unit :: Symbol/./SymbolTests/TestTypeSystemClang.TestGetTypeClassNested
  lldb-unit :: Symbol/./SymbolTests/TestTypeSystemClang.TestGetTypeClassTypeOf
  lldb-unit :: Symbol/./SymbolTests/TestTypeSystemClang.TestGetTypeClassTypeOfExpr
  lldb-unit :: Symbol/./SymbolTests/TestTypeSystemClang.TestIsClangType
  lldb-unit :: Symbol/./SymbolTests/TestTypeSystemClang.TestNotDeletingUserCopyCstrDueToMoveCStr
  lldb-unit :: Symbol/./SymbolTests/TestTypeSystemClang.TestOwningModule
  lldb-unit :: Symbol/./SymbolTests/TestTypeSystemClang.TestRecordHasFields
  lldb-unit :: Symbol/./SymbolTests/TestTypeSystemClang.TestRemoveFastQualifiers
  lldb-unit :: Symbol/./SymbolTests/TestTypeSystemClang.TestUnifyAccessSpecifiers
  lldb-unit :: Symbol/./SymbolTests/Type.CompilerContextPattern
  lldb-unit :: Symbol/./SymbolTests/Type.GetTypeScopeAndBasename
  lldb-unit :: SymbolFile/DWARF/./SymbolFileDWARFTests/DWARFASTParserClangTests.EnsureAllDIEsInDeclContextHaveBeenParsedParsesOnlyMatchingEntries
  lldb-unit :: SymbolFile/DWARF/./SymbolFileDWARFTests/SymbolFileDWARFTests.ParseArangesNonzeroSegmentSize
  lldb-unit :: SymbolFile/DWARF/./SymbolFileDWARFTests/SymbolFileDWARFTests.TestAbbrevInvalidNULLTag
  lldb-unit :: SymbolFile/DWARF/./SymbolFileDWARFTests/SymbolFileDWARFTests.TestAbbrevMissingTerminator
  lldb-unit :: SymbolFile/DWARF/./SymbolFileDWARFTests/SymbolFileDWARFTests.TestAbbrevNullAttrValidForm
  lldb-unit :: SymbolFile/DWARF/./SymbolFileDWARFTests/SymbolFileDWARFTests.TestAbbrevOrder1Start1
  lldb-unit :: SymbolFile/DWARF/./SymbolFileDWARFTests/SymbolFileDWARFTests.TestAbbrevOrder1Start5
  lldb-unit :: SymbolFile/DWARF/./SymbolFileDWARFTests/SymbolFileDWARFTests.TestAbbrevOutOfOrder
  lldb-unit :: SymbolFile/DWARF/./SymbolFileDWARFTests/SymbolFileDWARFTests.TestAbbrevValidAttrNullForm
  lldb-unit :: SymbolFile/DWARF/./SymbolFileDWARFTests/SymbolFileDWARFTests.TestAbilitiesForDWARF
  lldb-unit :: SymbolFile/DWARF/./SymbolFileDWARFTests/XcodeSDKModuleTests.TestModuleGetXcodeSDK
  lldb-unit :: SymbolFile/NativePDB/./SymbolFileNativePDBTests/PDBFPOProgramToDWARFExpressionTests.DependencyChain
  lldb-unit :: SymbolFile/NativePDB/./SymbolFileNativePDBTests/PDBFPOProgramToDWARFExpressionTests.InvalidAssignmentMultiple
  lldb-unit :: SymbolFile/NativePDB/./SymbolFileNativePDBTests/PDBFPOProgramToDWARFExpressionTests.InvalidAssignmentSingle
  lldb-unit :: SymbolFile/NativePDB/./SymbolFileNativePDBTests/PDBFPOProgramToDWARFExpressionTests.InvalidOpBinary
  lldb-unit :: SymbolFile/NativePDB/./SymbolFileNativePDBTests/PDBFPOProgramToDWARFExpressionTests.InvalidOpUnary
  lldb-unit :: SymbolFile/NativePDB/./SymbolFileNativePDBTests/PDBFPOProgramToDWARFExpressionTests.MissingTargetRegister
  lldb-unit :: SymbolFile/NativePDB/./SymbolFileNativePDBTests/PDBFPOProgramToDWARFExpressionTests.MultipleDependentAssignments
  lldb-unit :: SymbolFile/NativePDB/./SymbolFileNativePDBTests/PDBFPOProgramToDWARFExpressionTests.MultipleIndependentAssignments
  lldb-unit :: SymbolFile/NativePDB/./SymbolFileNativePDBTests/PDBFPOProgramToDWARFExpressionTests.SingleAssignmentRegisterRef
  lldb-unit :: SymbolFile/NativePDB/./SymbolFileNativePDBTests/PDBFPOProgramToDWARFExpressionTests.UnknownOp
  lldb-unit :: SymbolFile/NativePDB/./SymbolFileNativePDBTests/PDBFPOProgramToDWARFExpressionTests.UnresolvedCyclicRegisterAssignmentReference
  lldb-unit :: SymbolFile/NativePDB/./SymbolFileNativePDBTests/PDBFPOProgramToDWARFExpressionTests.UnresolvedDependentCyclicRegisterAssignmentReference
  lldb-unit :: SymbolFile/NativePDB/./SymbolFileNativePDBTests/PDBFPOProgramToDWARFExpressionTests.UnresolvedRegisterAssignmentReference
  lldb-unit :: SymbolFile/NativePDB/./SymbolFileNativePDBTests/PDBFPOProgramToDWARFExpressionTests.UnresolvedRegisterReference
  lldb-unit :: SymbolFile/NativePDB/./SymbolFileNativePDBTests/PDBFPOProgramToDWARFExpressionTests.UnsupportedRASearch
  lldb-unit :: Target/./TargetTests/ExecutionContextTest.GetByteOrder
  lldb-unit :: Target/./TargetTests/ExecutionContextTest.GetByteOrderProcess
  lldb-unit :: Target/./TargetTests/ExecutionContextTest.GetByteOrderTarget
  lldb-unit :: Target/./TargetTests/MCBasedABI.MapRegisterName
  lldb-unit :: Target/./TargetTests/MemoryRegionInfoTest.Formatv
  lldb-unit :: Target/./TargetTests/ModuleCacheTest.GetAndPut
  lldb-unit :: Target/./TargetTests/ModuleCacheTest.GetAndPutStrangeHostname
  lldb-unit :: Target/./TargetTests/ModuleCacheTest.GetAndPutUuidExists
  lldb-unit :: Target/./TargetTests/PathMappingListTest.AbsoluteTests
  lldb-unit :: Target/./TargetTests/PathMappingListTest.RelativeTests
  lldb-unit :: Target/./TargetTests/PathMappingListTest.RemapRoot
  lldb-unit :: Target/./TargetTests/RemoteAwarePlatformTest.TestResolveExecutabelOnClientByPlatform
  lldb-unit :: Target/./TargetTests/StackFrameRecognizerTest.NullModuleRegex
  lldb-unit :: UnwindAssembly/ARM64/./Arm64InstEmulationTests/TestArm64InstEmulation.TestCFARegisterTrackedAcrossJumps
  lldb-unit :: UnwindAssembly/ARM64/./Arm64InstEmulationTests/TestArm64InstEmulation.TestFramelessThreeEpilogueFunction
  lldb-unit :: UnwindAssembly/ARM64/./Arm64InstEmulationTests/TestArm64InstEmulation.TestMediumDarwinFunction
  lldb-unit :: UnwindAssembly/ARM64/./Arm64InstEmulationTests/TestArm64InstEmulation.TestRegisterDoubleSpills
  lldb-unit :: UnwindAssembly/ARM64/./Arm64InstEmulationTests/TestArm64InstEmulation.TestRegisterSavedTwice
  lldb-unit :: UnwindAssembly/ARM64/./Arm64InstEmulationTests/TestArm64InstEmulation.TestSimpleDarwinFunction
  lldb-unit :: UnwindAssembly/PPC64/./PPC64InstEmulationTests/TestPPC64InstEmulation.TestMediumFunction
  lldb-unit :: UnwindAssembly/PPC64/./PPC64InstEmulationTests/TestPPC64InstEmulation.TestSimpleFunction
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.Test32BitOnlyInstruction
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.Test32bitFramelessBigStackFrame
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.Test32bitFramelessSmallStackFrame
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.Test64bitFramelessBigStackFrame
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.Test64bitFramelessSmallStackFrame
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestAddESP
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestAddRSP
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestCALLNextInsn
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestDisassemblyJunkBytes
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestDisassemblyMidFunctionEpilogues
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestLEAVE
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestMovRSPtoRBP
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPopEBP
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPopEBX
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPopEDI
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPopESI
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPopR12
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPopR13
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPopR14
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPopR15
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPopRBP
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPopRBPWithREX
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPopRBX
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPush0
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPushEAX
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPushEBP
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPushEBX
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPushECX
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPushEDI
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPushEDX
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPushESI
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPushExtended
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPushImm
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPushR12
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPushR13
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPushR14
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPushR15
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPushRBP
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPushRBPWithREX
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestPushRBX
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestReturnDetect
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestSimple32bitFrameFunction
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestSimple64bitFrameFunction
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestSimplei386ugmented
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestSimplex86_64Augmented
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestSpArithx86_64Augmented
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestSpillRegToStackViaMOVi386
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestSpillRegToStackViaMOVx86_64
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestStackRealign32BitDisp_x86_64
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestStackRealign8BitDisp_i386
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestStackRealignMSVC_i386
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestSubESP
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.TestSubRSP
  lldb-unit :: UnwindAssembly/x86/./UnwindAssemblyx86Tests/Testx86AssemblyInspectionEngine.Testi386IgnoredRegisters
  lldb-unit :: Utility/./UtilityTests/AnsiTerminal.AtEnd
  lldb-unit :: Utility/./UtilityTests/AnsiTerminal.AtStart
  lldb-unit :: Utility/./UtilityTests/AnsiTerminal.Basic
  lldb-unit :: Utility/./UtilityTests/AnsiTerminal.Empty
  lldb-unit :: Utility/./UtilityTests/AnsiTerminal.Incomplete
  lldb-unit :: Utility/./UtilityTests/AnsiTerminal.KnownPrefix
  lldb-unit :: Utility/./UtilityTests/AnsiTerminal.Twice
  lldb-unit :: Utility/./UtilityTests/AnsiTerminal.Unknown
  lldb-unit :: Utility/./UtilityTests/AnsiTerminal.WhiteSpace
  lldb-unit :: Utility/./UtilityTests/ArchSpecTest.Compatibility
  lldb-unit :: Utility/./UtilityTests/ArchSpecTest.MergeFrom
  lldb-unit :: Utility/./UtilityTests/ArchSpecTest.MergeFromMachOUnknown
  lldb-unit :: Utility/./UtilityTests/ArchSpecTest.OperatorBool
  lldb-unit :: Utility/./UtilityTests/ArchSpecTest.TestParseMachCPUDashSubtypeTripleExtra
  lldb-unit :: Utility/./UtilityTests/ArchSpecTest.TestParseMachCPUDashSubtypeTripleSimple
  lldb-unit :: Utility/./UtilityTests/ArchSpecTest.TestSetTriple
  lldb-unit :: Utility/./UtilityTests/ArchSpecTest.TripleComponentsWereSpecified
  lldb-unit :: Utility/./UtilityTests/ArchSpecTest.YAML
  lldb-unit :: Utility/./UtilityTests/ArgsTest.AppendArguments
  lldb-unit :: Utility/./UtilityTests/ArgsTest.BareSingleQuote
  lldb-unit :: Utility/./UtilityTests/ArgsTest.DoubleQuotedItem
  lldb-unit :: Utility/./UtilityTests/ArgsTest.EscapeLLDBCommandArgument
  lldb-unit :: Utility/./UtilityTests/ArgsTest.GetArgumentArrayRef
  lldb-unit :: Utility/./UtilityTests/ArgsTest.GetQuotedCommandString
  lldb-unit :: Utility/./UtilityTests/ArgsTest.ReplaceArgumentAtIndexEqual
  lldb-unit :: Utility/./UtilityTests/ArgsTest.ReplaceArgumentAtIndexFarOutOfRange
  lldb-unit :: Utility/./UtilityTests/ArgsTest.ReplaceArgumentAtIndexLonger
  lldb-unit :: Utility/./UtilityTests/ArgsTest.ReplaceArgumentAtIndexOutOfRange
  lldb-unit :: Utility/./UtilityTests/ArgsTest.ReplaceArgumentAtIndexShort
  lldb-unit :: Utility/./UtilityTests/ArgsTest.StringListConstructor
  lldb-unit :: Utility/./UtilityTests/ArgsTest.TestAppendArg
  lldb-unit :: Utility/./UtilityTests/ArgsTest.TestArgv
  lldb-unit :: Utility/./UtilityTests/ArgsTest.TestInsertArg
  lldb-unit :: Utility/./UtilityTests/ArgsTest.TestMultipleArgs
  lldb-unit :: Utility/./UtilityTests/ArgsTest.TestOverwriteArgs
  lldb-unit :: Utility/./UtilityTests/ArgsTest.TestQuotedTrailingBackslash
  lldb-unit :: Utility/./UtilityTests/ArgsTest.TestQuotedUnknownEscape
  lldb-unit :: Utility/./UtilityTests/ArgsTest.TestSingleArg
  lldb-unit :: Utility/./UtilityTests/ArgsTest.TestSingleArgWithQuotedSpace
  lldb-unit :: Utility/./UtilityTests/ArgsTest.TestSingleQuotedArgWithSpace
  lldb-unit :: Utility/./UtilityTests/ArgsTest.TestTrailingBackslash
  lldb-unit :: Utility/./UtilityTests/ArgsTest.TestUnknownEscape
  lldb-unit :: Utility/./UtilityTests/ArgsTest.Yaml
  lldb-unit :: Utility/./UtilityTests/BinaryStreamTest.PutSLEB128EightBytes
  lldb-unit :: Utility/./UtilityTests/BinaryStreamTest.PutSLEB128FiveBytes
  lldb-unit :: Utility/./UtilityTests/BinaryStreamTest.PutSLEB128FourBytes
  lldb-unit :: Utility/./UtilityTests/BinaryStreamTest.PutSLEB128MaxValue
  lldb-unit :: Utility/./UtilityTests/BinaryStreamTest.PutSLEB128NineBytes
  lldb-unit :: Utility/./UtilityTests/BinaryStreamTest.PutSLEB128One
  lldb-unit :: Utility/./UtilityTests/BinaryStreamTest.PutSLEB128OneByte
  lldb-unit :: Utility/./UtilityTests/BinaryStreamTest.PutSLEB128SevenBytes
  lldb-unit :: Utility/./UtilityTests/BinaryStreamTest.PutSLEB128SixBytes
  lldb-unit :: Utility/./UtilityTests/BinaryStreamTest.PutSLEB128ThreeBytes
  lldb-unit :: Utility/./UtilityTests/BinaryStreamTest.PutSLEB128TwoBytes
  lldb-unit :: Utility/./UtilityTests/BinaryStreamTest.PutSLEB128Zero
  lldb-unit :: Utility/./UtilityTests/BinaryStreamTest.PutULEB128EightBytes
  lldb-unit :: Utility/./UtilityTests/BinaryStreamTest.PutULEB128FiveBytes
  lldb-unit :: Utility/./UtilityTests/BinaryStreamTest.PutULEB128FourBytes
  lldb-unit :: Utility/./UtilityTests/BinaryStreamTest.PutULEB128MaxValue
  lldb-unit :: Utility/./UtilityTests/BinaryStreamTest.PutULEB128NineBytes
  lldb-unit :: Utility/./UtilityTests/BinaryStreamTest.PutULEB128One
  lldb-unit :: Utility/./UtilityTests/BinaryStreamTest.PutULEB128OneByte
  lldb-unit :: Utility/./UtilityTests/BinaryStreamTest.PutULEB128SevenBytes
  lldb-unit :: Utility/./UtilityTests/BinaryStreamTest.PutULEB128SixBytes
  lldb-unit :: Utility/./UtilityTests/BinaryStreamTest.PutULEB128ThreeBytes
  lldb-unit :: Utility/./UtilityTests/BinaryStreamTest.PutULEB128TwoBytes
  lldb-unit :: Utility/./UtilityTests/BinaryStreamTest.PutULEB128Zero
  lldb-unit :: Utility/./UtilityTests/BroadcasterTest.BroadcastEvent
  lldb-unit :: Utility/./UtilityTests/BroadcasterTest.EventTypeHasListeners
  lldb-unit :: Utility/./UtilityTests/CompletionRequest.Constructor
  lldb-unit :: Utility/./UtilityTests/CompletionRequest.DuplicateFiltering
  lldb-unit :: Utility/./UtilityTests/CompletionRequest.DuplicateFilteringWithComments
  lldb-unit :: Utility/./UtilityTests/CompletionRequest.FakeLastArg
  lldb-unit :: Utility/./UtilityTests/CompletionRequest.ShiftArguments
  lldb-unit :: Utility/./UtilityTests/CompletionRequest.TestCompletionOwnership
  lldb-unit :: Utility/./UtilityTests/CompletionRequest.TryCompleteCurrentArgBad
  lldb-unit :: Utility/./UtilityTests/CompletionRequest.TryCompleteCurrentArgGood
  lldb-unit :: Utility/./UtilityTests/CompletionRequest.TryCompleteCurrentArgMode
  lldb-unit :: Utility/./UtilityTests/ConstStringTest.CompareConstString
  lldb-unit :: Utility/./UtilityTests/ConstStringTest.CompareStringRef
  lldb-unit :: Utility/./UtilityTests/ConstStringTest.FromMidOfBufferStringRef
  lldb-unit :: Utility/./UtilityTests/ConstStringTest.MangledCounterpart
  lldb-unit :: Utility/./UtilityTests/ConstStringTest.NullAndEmptyStates
  lldb-unit :: Utility/./UtilityTests/ConstStringTest.UpdateMangledCounterpart
  lldb-unit :: Utility/./UtilityTests/ConstStringTest.YAML
  lldb-unit :: Utility/./UtilityTests/ConstStringTest.format_provider
  lldb-unit :: Utility/./UtilityTests/DataExtractorTest.GetBitfield
  lldb-unit :: Utility/./UtilityTests/DataExtractorTest.GetCStr
  lldb-unit :: Utility/./UtilityTests/DataExtractorTest.GetCStrAtEnd
  lldb-unit :: Utility/./UtilityTests/DataExtractorTest.GetCStrAtNullOffset
  lldb-unit :: Utility/./UtilityTests/DataExtractorTest.GetCStrEmpty
  lldb-unit :: Utility/./UtilityTests/DataExtractorTest.GetCStrUnterminated
  lldb-unit :: Utility/./UtilityTests/DataExtractorTest.GetMaxS64
  lldb-unit :: Utility/./UtilityTests/DataExtractorTest.GetMaxU64
  lldb-unit :: Utility/./UtilityTests/DataExtractorTest.GetMaxU64_unchecked
  lldb-unit :: Utility/./UtilityTests/DataExtractorTest.GetSLEB128_bit63
  lldb-unit :: Utility/./UtilityTests/DataExtractorTest.GetULEB128_bit63
  lldb-unit :: Utility/./UtilityTests/DataExtractorTest.PeekData
  lldb-unit :: Utility/./UtilityTests/DataExtractorTest.UncommonAddressSize
  lldb-unit :: Utility/./UtilityTests/DeserializerTest.HasData
  lldb-unit :: Utility/./UtilityTests/EnvironmentTest.EnvpConstruction
  lldb-unit :: Utility/./UtilityTests/EnvironmentTest.EnvpConversion
  lldb-unit :: Utility/./UtilityTests/EventTest.DumpEventDataBytes
  lldb-unit :: Utility/./UtilityTests/FileSpecTest.AppendPathComponent
  lldb-unit :: Utility/./UtilityTests/FileSpecTest.CopyByAppendingPathComponent
  lldb-unit :: Utility/./UtilityTests/FileSpecTest.Equal
  lldb-unit :: Utility/./UtilityTests/FileSpecTest.EqualDotsPosix
  lldb-unit :: Utility/./UtilityTests/FileSpecTest.EqualDotsPosixRoot
  lldb-unit :: Utility/./UtilityTests/FileSpecTest.EqualDotsWindows
  lldb-unit :: Utility/./UtilityTests/FileSpecTest.EqualSeparator
  lldb-unit :: Utility/./UtilityTests/FileSpecTest.FileAndDirectoryComponents
  lldb-unit :: Utility/./UtilityTests/FileSpecTest.FormatFileSpec
  lldb-unit :: Utility/./UtilityTests/FileSpecTest.GetPath
  lldb-unit :: Utility/./UtilityTests/FileSpecTest.GuessPathStyle
  lldb-unit :: Utility/./UtilityTests/FileSpecTest.IsRelative
  lldb-unit :: Utility/./UtilityTests/FileSpecTest.Match
  lldb-unit :: Utility/./UtilityTests/FileSpecTest.OperatorBool
  lldb-unit :: Utility/./UtilityTests/FileSpecTest.PrependPathComponent
  lldb-unit :: Utility/./UtilityTests/FileSpecTest.RemoveLastPathComponent
  lldb-unit :: Utility/./UtilityTests/FileSpecTest.Yaml
  lldb-unit :: Utility/./UtilityTests/Flags.AllClear
  lldb-unit :: Utility/./UtilityTests/Flags.AllSet
  lldb-unit :: Utility/./UtilityTests/Flags.AnyClear
  lldb-unit :: Utility/./UtilityTests/Flags.AnySet
  lldb-unit :: Utility/./UtilityTests/Flags.Clear
  lldb-unit :: Utility/./UtilityTests/Flags.GetBitSize
  lldb-unit :: Utility/./UtilityTests/Flags.IsClear
  lldb-unit :: Utility/./UtilityTests/Flags.Reset
  lldb-unit :: Utility/./UtilityTests/Flags.Test
  lldb-unit :: Utility/./UtilityTests/GeneratorTest.Create
  lldb-unit :: Utility/./UtilityTests/GeneratorTest.Get
  lldb-unit :: Utility/./UtilityTests/GeneratorTest.GetOrCreate
  lldb-unit :: Utility/./UtilityTests/IndexToObjectTest.ObjectForIndex
  lldb-unit :: Utility/./UtilityTests/ListenerTest.GetEventImmediate
  lldb-unit :: Utility/./UtilityTests/ListenerTest.GetEventWait
  lldb-unit :: Utility/./UtilityTests/LogChannelEnabledTest.LLDB_LOG_ERROR
  lldb-unit :: Utility/./UtilityTests/LogChannelEnabledTest.LogGetLogThread
  lldb-unit :: Utility/./UtilityTests/LogChannelEnabledTest.LogThread
  lldb-unit :: Utility/./UtilityTests/LogChannelEnabledTest.LogVerboseThread
  lldb-unit :: Utility/./UtilityTests/LogChannelEnabledTest.log_options
  lldb-unit :: Utility/./UtilityTests/LogChannelTest.Disable
  lldb-unit :: Utility/./UtilityTests/LogChannelTest.Enable
  lldb-unit :: Utility/./UtilityTests/LogChannelTest.EnableOptions
  lldb-unit :: Utility/./UtilityTests/LogChannelTest.List
  lldb-unit :: Utility/./UtilityTests/LogTest.LLDB_LOG_nullptr
  lldb-unit :: Utility/./UtilityTests/LogTest.Register
  lldb-unit :: Utility/./UtilityTests/LogTest.Unregister
  lldb-unit :: Utility/./UtilityTests/NameMatchesTest.Contains
  lldb-unit :: Utility/./UtilityTests/NameMatchesTest.EndsWith
  lldb-unit :: Utility/./UtilityTests/NameMatchesTest.Equals
  lldb-unit :: Utility/./UtilityTests/NameMatchesTest.Ignore
  lldb-unit :: Utility/./UtilityTests/NameMatchesTest.RegularExpression
  lldb-unit :: Utility/./UtilityTests/NameMatchesTest.StartsWith
  lldb-unit :: Utility/./UtilityTests/OptionsWithRawTest.ArgsButNoDelimiter
  lldb-unit :: Utility/./UtilityTests/OptionsWithRawTest.ArgsButNoLeadingDash
  lldb-unit :: Utility/./UtilityTests/OptionsWithRawTest.EmptyArgsOnlySuffix
  lldb-unit :: Utility/./UtilityTests/OptionsWithRawTest.EmptyInput
  lldb-unit :: Utility/./UtilityTests/OptionsWithRawTest.EmptySuffix
  lldb-unit :: Utility/./UtilityTests/OptionsWithRawTest.EmptySuffixSingleWhitespace
  lldb-unit :: Utility/./UtilityTests/OptionsWithRawTest.LeadingSpaceArgs
  lldb-unit :: Utility/./UtilityTests/OptionsWithRawTest.MultiWordSuffix
  lldb-unit :: Utility/./UtilityTests/OptionsWithRawTest.QuotedSuffix
  lldb-unit :: Utility/./UtilityTests/OptionsWithRawTest.SingleWhitespaceInput
  lldb-unit :: Utility/./UtilityTests/OptionsWithRawTest.SingleWordSuffix
  lldb-unit :: Utility/./UtilityTests/OptionsWithRawTest.TerminatedQuote
  lldb-unit :: Utility/./UtilityTests/OptionsWithRawTest.UnterminatedQuote
  lldb-unit :: Utility/./UtilityTests/OptionsWithRawTest.WhitespaceInput
  lldb-unit :: Utility/./UtilityTests/OptionsWithRawTest.WhitespaceSuffix
  lldb-unit :: Utility/./UtilityTests/PassiveReplayTest.InstrumentedBar
  lldb-unit :: Utility/./UtilityTests/PassiveReplayTest.InstrumentedBarPtr
  lldb-unit :: Utility/./UtilityTests/PassiveReplayTest.InstrumentedBarRef
  lldb-unit :: Utility/./UtilityTests/PassiveReplayTest.InstrumentedFoo
  lldb-unit :: Utility/./UtilityTests/PassiveReplayTest.InstrumentedFooInvalid
  lldb-unit :: Utility/./UtilityTests/Predicate.WaitForValueEqualTo
  lldb-unit :: Utility/./UtilityTests/Predicate.WaitForValueNotEqualTo
  lldb-unit :: Utility/./UtilityTests/ProcessInfoTest.Constructor
  lldb-unit :: Utility/./UtilityTests/ProcessInstanceInfo.Dump
  lldb-unit :: Utility/./UtilityTests/ProcessInstanceInfo.DumpTable
  lldb-unit :: Utility/./UtilityTests/ProcessInstanceInfo.DumpTable_invalidUID
  lldb-unit :: Utility/./UtilityTests/ProcessInstanceInfo.Yaml
  lldb-unit :: Utility/./UtilityTests/ProcessInstanceInfoList.Yaml
  lldb-unit :: Utility/./UtilityTests/ProcessInstanceInfoMatch.Name
  lldb-unit :: Utility/./UtilityTests/RangeDataVector.CustomSort
  lldb-unit :: Utility/./UtilityTests/RangeDataVector.FindEntryIndexesThatContain
  lldb-unit :: Utility/./UtilityTests/RangeDataVector.FindEntryIndexesThatContain_Overlap
  lldb-unit :: Utility/./UtilityTests/RangeDataVector.FindEntryThatContains
  lldb-unit :: Utility/./UtilityTests/RangeDataVector.FindEntryThatContains_Overlap
  lldb-unit :: Utility/./UtilityTests/RangeTest.Clear
  lldb-unit :: Utility/./UtilityTests/RangeTest.ClearWithStarAddress
  lldb-unit :: Utility/./UtilityTests/RangeTest.Constructor
  lldb-unit :: Utility/./UtilityTests/RangeTest.ContainsAddr
  lldb-unit :: Utility/./UtilityTests/RangeTest.ContainsAddrInvalid
  lldb-unit :: Utility/./UtilityTests/RangeTest.ContainsEndInclusive
  lldb-unit :: Utility/./UtilityTests/RangeTest.ContainsEndInclusiveInvalid
  lldb-unit :: Utility/./UtilityTests/RangeTest.ContainsRange
  lldb-unit :: Utility/./UtilityTests/RangeTest.ContainsRangeStartingFromZero
  lldb-unit :: Utility/./UtilityTests/RangeTest.Copy
  lldb-unit :: Utility/./UtilityTests/RangeTest.DefaultConstructor
  lldb-unit :: Utility/./UtilityTests/RangeTest.DoesAdjoinOrIntersect
  lldb-unit :: Utility/./UtilityTests/RangeTest.DoesIntersect
  lldb-unit :: Utility/./UtilityTests/RangeTest.Equal
  lldb-unit :: Utility/./UtilityTests/RangeTest.EqualInvalid
  lldb-unit :: Utility/./UtilityTests/RangeTest.LessThan
  lldb-unit :: Utility/./UtilityTests/RangeTest.LessThanInvalid
  lldb-unit :: Utility/./UtilityTests/RangeTest.NotEqual
  lldb-unit :: Utility/./UtilityTests/RangeTest.NotEqualInvalid
  lldb-unit :: Utility/./UtilityTests/RangeTest.SetRangeBase
  lldb-unit :: Utility/./UtilityTests/RangeTest.SizeTypes
  lldb-unit :: Utility/./UtilityTests/RangeTest.Slide
  lldb-unit :: Utility/./UtilityTests/RangeTest.SlideZero
  lldb-unit :: Utility/./UtilityTests/RangeTest.Union
  lldb-unit :: Utility/./UtilityTests/RecordReplayTest.InstrumentedBar
  lldb-unit :: Utility/./UtilityTests/RecordReplayTest.InstrumentedBarPtr
  lldb-unit :: Utility/./UtilityTests/RecordReplayTest.InstrumentedBarRef
  lldb-unit :: Utility/./UtilityTests/RecordReplayTest.InstrumentedFoo
  lldb-unit :: Utility/./UtilityTests/RecordReplayTest.InstrumentedFooSameThis
  lldb-unit :: Utility/./UtilityTests/RegisterValueTest.GetSet8
  lldb-unit :: Utility/./UtilityTests/RegularExpression.CopyAssignment
  lldb-unit :: Utility/./UtilityTests/RegularExpression.Empty
  lldb-unit :: Utility/./UtilityTests/RegularExpression.Invalid
  lldb-unit :: Utility/./UtilityTests/RegularExpression.Match
  lldb-unit :: Utility/./UtilityTests/RegularExpression.Valid
  lldb-unit :: Utility/./UtilityTests/ReproducerTest.SetCapture
  lldb-unit :: Utility/./UtilityTests/ReproducerTest.SetReplay
  lldb-unit :: Utility/./UtilityTests/ScalarTest.APIntConstructor
  lldb-unit :: Utility/./UtilityTests/ScalarTest.CastOperations
  lldb-unit :: Utility/./UtilityTests/ScalarTest.Comparison
  lldb-unit :: Utility/./UtilityTests/ScalarTest.ComparisonFloat
  lldb-unit :: Utility/./UtilityTests/ScalarTest.Division
  lldb-unit :: Utility/./UtilityTests/ScalarTest.Equality
  lldb-unit :: Utility/./UtilityTests/ScalarTest.ExtractBitfield
  lldb-unit :: Utility/./UtilityTests/ScalarTest.GetBytes
  lldb-unit :: Utility/./UtilityTests/ScalarTest.GetValue
  lldb-unit :: Utility/./UtilityTests/ScalarTest.LongLongAssigmentOperator
  lldb-unit :: Utility/./UtilityTests/ScalarTest.Promotion
  lldb-unit :: Utility/./UtilityTests/ScalarTest.RightShiftOperator
  lldb-unit :: Utility/./UtilityTests/ScalarTest.Scalar_512
  lldb-unit :: Utility/./UtilityTests/ScalarTest.SetValueFromCString
  lldb-unit :: Utility/./UtilityTests/SerializationRountripTest.SerializeDeserializeCString
  lldb-unit :: Utility/./UtilityTests/SerializationRountripTest.SerializeDeserializeCStringArray
  lldb-unit :: Utility/./UtilityTests/SerializationRountripTest.SerializeDeserializeCStringArrayNullptr
  lldb-unit :: Utility/./UtilityTests/SerializationRountripTest.SerializeDeserializeCStringArrayNullptrElem
  lldb-unit :: Utility/./UtilityTests/SerializationRountripTest.SerializeDeserializeCStringNull
  lldb-unit :: Utility/./UtilityTests/SerializationRountripTest.SerializeDeserializeObjectPointer
  lldb-unit :: Utility/./UtilityTests/SerializationRountripTest.SerializeDeserializeObjectReference
  lldb-unit :: Utility/./UtilityTests/SerializationRountripTest.SerializeDeserializePod
  lldb-unit :: Utility/./UtilityTests/SerializationRountripTest.SerializeDeserializePodPointers
  lldb-unit :: Utility/./UtilityTests/SerializationRountripTest.SerializeDeserializePodReferences
  lldb-unit :: Utility/./UtilityTests/SharedCluster.ClusterManager
  lldb-unit :: Utility/./UtilityTests/StateTest.Formatv
  lldb-unit :: Utility/./UtilityTests/StatusTest.ErrorCodeConstructor
  lldb-unit :: Utility/./UtilityTests/StatusTest.ErrorConstructor
  lldb-unit :: Utility/./UtilityTests/StatusTest.ErrorConversion
  lldb-unit :: Utility/./UtilityTests/StatusTest.Formatv
  lldb-unit :: Utility/./UtilityTests/StreamTeeTest.AppendStream
  lldb-unit :: Utility/./UtilityTests/StreamTeeTest.Assignment
  lldb-unit :: Utility/./UtilityTests/StreamTeeTest.Constructor1Stream
  lldb-unit :: Utility/./UtilityTests/StreamTeeTest.Constructor2Streams
  lldb-unit :: Utility/./UtilityTests/StreamTeeTest.CopyConstructor
  lldb-unit :: Utility/./UtilityTests/StreamTeeTest.DefaultConstructor
  lldb-unit :: Utility/./UtilityTests/StreamTeeTest.Flush
  lldb-unit :: Utility/./UtilityTests/StreamTeeTest.GetStreamAtIndexOutOfBounds
  lldb-unit :: Utility/./UtilityTests/StreamTeeTest.GetStreamAtIndexOutOfBoundsEmpty
  lldb-unit :: Utility/./UtilityTests/StreamTeeTest.SetStreamAtIndexOutOfBounds
  lldb-unit :: Utility/./UtilityTests/StreamTeeTest.SetStreamAtIndexOverwrite
  lldb-unit :: Utility/./UtilityTests/StreamTeeTest.Write
  lldb-unit :: Utility/./UtilityTests/StreamTest.AddressEmptyPrefix
  lldb-unit :: Utility/./UtilityTests/StreamTest.AddressNoSuffix
  lldb-unit :: Utility/./UtilityTests/StreamTest.AddressPrefix
  lldb-unit :: Utility/./UtilityTests/StreamTest.AddressPrefixAndSuffix
  lldb-unit :: Utility/./UtilityTests/StreamTest.AddressRange
  lldb-unit :: Utility/./UtilityTests/StreamTest.AddressRangeEmptyRange
  lldb-unit :: Utility/./UtilityTests/StreamTest.AddressRangeInvalidRange
  lldb-unit :: Utility/./UtilityTests/StreamTest.AddressRangeSize
  lldb-unit :: Utility/./UtilityTests/StreamTest.AddressSize
  lldb-unit :: Utility/./UtilityTests/StreamTest.AddressSuffix
  lldb-unit :: Utility/./UtilityTests/StreamTest.ChangingByteOrder
  lldb-unit :: Utility/./UtilityTests/StreamTest.Indent
  lldb-unit :: Utility/./UtilityTests/StreamTest.PutBytesAsRawHex8ToBigEndian
  lldb-unit :: Utility/./UtilityTests/StreamTest.PutBytesAsRawHex8ToLittleEndian
  lldb-unit :: Utility/./UtilityTests/StreamTest.PutBytesAsRawHex8ToMixedEndian
  lldb-unit :: Utility/./UtilityTests/StreamTest.PutCString
  lldb-unit :: Utility/./UtilityTests/StreamTest.PutCStringWithStringRef
  lldb-unit :: Utility/./UtilityTests/StreamTest.PutChar
  lldb-unit :: Utility/./UtilityTests/StreamTest.PutCharNull
  lldb-unit :: Utility/./UtilityTests/StreamTest.PutCharWhitespace
  lldb-unit :: Utility/./UtilityTests/StreamTest.PutHex16ByteOrderBig
  lldb-unit :: Utility/./UtilityTests/StreamTest.PutHex16ByteOrderLittle
  lldb-unit :: Utility/./UtilityTests/StreamTest.PutHex32ByteOrderBig
  lldb-unit :: Utility/./UtilityTests/StreamTest.PutHex32ByteOrderLittle
  lldb-unit :: Utility/./UtilityTests/StreamTest.PutHex64ByteOrderBig
  lldb-unit :: Utility/./UtilityTests/StreamTest.PutHex64ByteOrderLittle
  lldb-unit :: Utility/./UtilityTests/StreamTest.PutHex8
  lldb-unit :: Utility/./UtilityTests/StreamTest.PutMaxHex64ByteOrderBig
  lldb-unit :: Utility/./UtilityTests/StreamTest.PutMaxHex64ByteOrderLittle
  lldb-unit :: Utility/./UtilityTests/StreamTest.PutNHex8
  lldb-unit :: Utility/./UtilityTests/StreamTest.PutPtr
  lldb-unit :: Utility/./UtilityTests/StreamTest.PutRawBytesToBigEndian
  lldb-unit :: Utility/./UtilityTests/StreamTest.PutRawBytesToLittleEndian
  lldb-unit :: Utility/./UtilityTests/StreamTest.PutRawBytesToMixedEndian
  lldb-unit :: Utility/./UtilityTests/StreamTest.PutSLEB128
  lldb-unit :: Utility/./UtilityTests/StreamTest.PutStringAsRawHex8
  lldb-unit :: Utility/./UtilityTests/StreamTest.PutULEB128
  lldb-unit :: Utility/./UtilityTests/StreamTest.QuotedCString
  lldb-unit :: Utility/./UtilityTests/StreamTest.SetIndentLevel
  lldb-unit :: Utility/./UtilityTests/StreamTest.ShiftOperatorChars
  lldb-unit :: Utility/./UtilityTests/StreamTest.ShiftOperatorPtr
  lldb-unit :: Utility/./UtilityTests/StreamTest.ShiftOperatorStrings
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.DecodeHexU8_Exact
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.DecodeHexU8_Extra
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.DecodeHexU8_InvalidHex
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.DecodeHexU8_InvalidHex2
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.DecodeHexU8_Underflow
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.DecodeHexU8_Underflow2
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetHexBytes
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetHexBytesAvail
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetHexBytesAvail_FullString
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetHexBytesAvail_OddPair
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetHexBytesAvail_OddPair2
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetHexBytesAvail_Partial
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetHexBytesAvail_Underflow
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetHexBytes_FullString
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetHexBytes_OddPair
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetHexBytes_OddPair2
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetHexBytes_Partial
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetHexBytes_Underflow
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetHexU8_Exact
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetHexU8_Exact_NoEof
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetHexU8_Extra
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetHexU8_Extra_NoEof
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetHexU8_InvalidHex
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetHexU8_InvalidHex_NoEof
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetHexU8_Underflow
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetHexU8_Underflow2
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetHexU8_Underflow2_NoEof
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetHexU8_Underflow_NoEof
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetNameColonValueContainsColon
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetNameColonValueNoColon
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetNameColonValueNoSemicolon
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetNameColonValueSuccess
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetU32BigEndian
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetU32LittleEndian
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetU64BigEndian
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.GetU64LittleEndian
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.InitEmpty
  lldb-unit :: Utility/./UtilityTests/StringExtractorTest.InitMisc
  lldb-unit :: Utility/./UtilityTests/StringLexerTest.AdvanceIf
  lldb-unit :: Utility/./UtilityTests/StringLexerTest.GetUnlexed
  lldb-unit :: Utility/./UtilityTests/StringLexerTest.HasAtLeast
  lldb-unit :: Utility/./UtilityTests/StringLexerTest.Next
  lldb-unit :: Utility/./UtilityTests/StringLexerTest.NextIf
  lldb-unit :: Utility/./UtilityTests/StringLexerTest.NextIfList
  lldb-unit :: Utility/./UtilityTests/StringLexerTest.Peek
  lldb-unit :: Utility/./UtilityTests/StringLexerTest.PutBack
  lldb-unit :: Utility/./UtilityTests/StringListTest.AppendList
  lldb-unit :: Utility/./UtilityTests/StringListTest.AppendListCStringArray
  lldb-unit :: Utility/./UtilityTests/StringListTest.AppendListCStringArrayEmpty
  lldb-unit :: Utility/./UtilityTests/StringListTest.AppendStringCString
  lldb-unit :: Utility/./UtilityTests/StringListTest.AppendStringMove
  lldb-unit :: Utility/./UtilityTests/StringListTest.AppendStringStdString
  lldb-unit :: Utility/./UtilityTests/StringListTest.Assignment
  lldb-unit :: Utility/./UtilityTests/StringListTest.Clear
  lldb-unit :: Utility/./UtilityTests/StringListTest.CopyList
  lldb-unit :: Utility/./UtilityTests/StringListTest.CopyListEmpty
  lldb-unit :: Utility/./UtilityTests/StringListTest.CopyListSingle
  lldb-unit :: Utility/./UtilityTests/StringListTest.DefaultConstructor
  lldb-unit :: Utility/./UtilityTests/StringListTest.ForRange
  lldb-unit :: Utility/./UtilityTests/StringListTest.ForRangeEmpty
  lldb-unit :: Utility/./UtilityTests/StringListTest.GetMaxStringLengthDecreasingSize
  lldb-unit :: Utility/./UtilityTests/StringListTest.GetMaxStringLengthEmpty
  lldb-unit :: Utility/./UtilityTests/StringListTest.GetMaxStringLengthEqualSize
  lldb-unit :: Utility/./UtilityTests/StringListTest.GetMaxStringLengthIncreasingSize
  lldb-unit :: Utility/./UtilityTests/StringListTest.GetMaxStringLengthMixed
  lldb-unit :: Utility/./UtilityTests/StringListTest.GetSize
  lldb-unit :: Utility/./UtilityTests/StringListTest.InsertStringAtIndexEnd
  lldb-unit :: Utility/./UtilityTests/StringListTest.InsertStringAtIndexMove
  lldb-unit :: Utility/./UtilityTests/StringListTest.InsertStringAtIndexOutOfBounds
  lldb-unit :: Utility/./UtilityTests/StringListTest.InsertStringAtIndexStart
  lldb-unit :: Utility/./UtilityTests/StringListTest.InsertStringAtIndexStdString
  lldb-unit :: Utility/./UtilityTests/StringListTest.Join
  lldb-unit :: Utility/./UtilityTests/StringListTest.JoinEmpty
  lldb-unit :: Utility/./UtilityTests/StringListTest.JoinMultiCharSeparator
  lldb-unit :: Utility/./UtilityTests/StringListTest.JoinNonSpace
  lldb-unit :: Utility/./UtilityTests/StringListTest.JoinSingle
  lldb-unit :: Utility/./UtilityTests/StringListTest.JoinThree
  lldb-unit :: Utility/./UtilityTests/StringListTest.LongestCommonPrefix
  lldb-unit :: Utility/./UtilityTests/StringListTest.LongestCommonPrefixDuplicateElement
  lldb-unit :: Utility/./UtilityTests/StringListTest.LongestCommonPrefixEmpty
  lldb-unit :: Utility/./UtilityTests/StringListTest.LongestCommonPrefixNoPrefix
  lldb-unit :: Utility/./UtilityTests/StringListTest.LongestCommonPrefixSingleElement
  lldb-unit :: Utility/./UtilityTests/StringListTest.PopBack
  lldb-unit :: Utility/./UtilityTests/StringListTest.RemoveBlankLines
  lldb-unit :: Utility/./UtilityTests/StringListTest.SetSize
  lldb-unit :: Utility/./UtilityTests/StringListTest.ShiftCString
  lldb-unit :: Utility/./UtilityTests/StringListTest.ShiftMove
  lldb-unit :: Utility/./UtilityTests/StringListTest.ShiftStdString
  lldb-unit :: Utility/./UtilityTests/StringListTest.SplitIntoLines
  lldb-unit :: Utility/./UtilityTests/StringListTest.SplitIntoLinesEmpty
  lldb-unit :: Utility/./UtilityTests/StringListTest.SplitIntoLinesSingleTrailingCR
  lldb-unit :: Utility/./UtilityTests/StructuredDataTest.ParseJSONFromFile
  lldb-unit :: Utility/./UtilityTests/StructuredDataTest.StringDump
  lldb-unit :: Utility/./UtilityTests/SubsystemRAIITest.NormalSubsystem
  lldb-unit :: Utility/./UtilityTests/SubsystemRAIITest.SubsystemWithErrorFailure
  lldb-unit :: Utility/./UtilityTests/SubsystemRAIITest.SubsystemWithErrorSuccess
  lldb-unit :: Utility/./UtilityTests/TildeExpressionResolver.ResolveFullPath
  lldb-unit :: Utility/./UtilityTests/TimeoutTest.Construction
  lldb-unit :: Utility/./UtilityTests/TimeoutTest.Format
  lldb-unit :: Utility/./UtilityTests/TimerTest.CategoryTimes
  lldb-unit :: Utility/./UtilityTests/TimerTest.CategoryTimes2
  lldb-unit :: Utility/./UtilityTests/TimerTest.CategoryTimesNested
  lldb-unit :: Utility/./UtilityTests/TimerTest.CategoryTimesStats
  lldb-unit :: Utility/./UtilityTests/UUIDTest.RelationalOperators
  lldb-unit :: Utility/./UtilityTests/UUIDTest.SetFromStringRef
  lldb-unit :: Utility/./UtilityTests/UUIDTest.StringConverion
  lldb-unit :: Utility/./UtilityTests/UUIDTest.Validity
  lldb-unit :: Utility/./UtilityTests/UriParserTest.BadPort
  lldb-unit :: Utility/./UtilityTests/UriParserTest.BadPort2
  lldb-unit :: Utility/./UtilityTests/UriParserTest.BracketedHostname
  lldb-unit :: Utility/./UtilityTests/UriParserTest.BracketedHostnamePort
  lldb-unit :: Utility/./UtilityTests/UriParserTest.BracketedHostnameWithColon
  lldb-unit :: Utility/./UtilityTests/UriParserTest.BracketedHostnameWithPortIPv4
  lldb-unit :: Utility/./UtilityTests/UriParserTest.BracketedHostnameWithPortIPv6
  lldb-unit :: Utility/./UtilityTests/UriParserTest.Empty
  lldb-unit :: Utility/./UtilityTests/UriParserTest.LongPath
  lldb-unit :: Utility/./UtilityTests/UriParserTest.Minimal
  lldb-unit :: Utility/./UtilityTests/UriParserTest.MinimalPath
  lldb-unit :: Utility/./UtilityTests/UriParserTest.MinimalPort
  lldb-unit :: Utility/./UtilityTests/UriParserTest.MinimalPortPath
  lldb-unit :: Utility/./UtilityTests/UriParserTest.PortOverflow
  lldb-unit :: Utility/./UtilityTests/UriParserTest.SchemeHostSeparator
  lldb-unit :: Utility/./UtilityTests/UriParserTest.SchemeHostSeparator2
  lldb-unit :: Utility/./UtilityTests/UriParserTest.SchemeHostSeparator3
  lldb-unit :: Utility/./UtilityTests/UriParserTest.SchemeHostSeparator4
  lldb-unit :: Utility/./UtilityTests/UriParserTest.TypicalPortPathIPv4
  lldb-unit :: Utility/./UtilityTests/UriParserTest.TypicalPortPathIPv6
  lldb-unit :: Utility/./UtilityTests/UserIDResolver.GetGroupName
  lldb-unit :: Utility/./UtilityTests/UserIDResolver.GetUserName
  lldb-unit :: Utility/./UtilityTests/VASprintfTest.BufferResize
  lldb-unit :: Utility/./UtilityTests/VASprintfTest.EncodingError
  lldb-unit :: Utility/./UtilityTests/VASprintfTest.NoBufferResize
  lldb-unit :: Utility/./UtilityTests/VMRange.Clear
  lldb-unit :: Utility/./UtilityTests/VMRange.CollectionContains
  lldb-unit :: Utility/./UtilityTests/VMRange.Comparison
  lldb-unit :: Utility/./UtilityTests/VMRange.ContainsAddr
  lldb-unit :: Utility/./UtilityTests/VMRange.ContainsRange
  lldb-unit :: Utility/./UtilityTests/VMRange.IsValid
  lldb-unit :: Utility/./UtilityTests/VMRange.Ordering
  lldb-unit :: Utility/./UtilityTests/VMRange.Reset
  lldb-unit :: Utility/./UtilityTests/VMRange.SetEndAddress
  lldb-unit :: Utility/./UtilityTests/XcodeSDKTest.FindXcodeContentsDirectoryInPath
  lldb-unit :: Utility/./UtilityTests/XcodeSDKTest.GetCanonicalNameAndConstruct
  lldb-unit :: Utility/./UtilityTests/XcodeSDKTest.GetSDKTypeForTriple
  lldb-unit :: Utility/./UtilityTests/XcodeSDKTest.MergeTest
  lldb-unit :: Utility/./UtilityTests/XcodeSDKTest.ParseTest
  lldb-unit :: Utility/./UtilityTests/XcodeSDKTest.SDKSupportsModules
  lldb-unit :: Utility/./UtilityTests/XcodeSDKTest.SDKSupportsSwift
  lldb-unit :: debugserver/./debugserverTests/JSON.Parse
  lldb-unit :: debugserver/./debugserverTests/RNBSocket.AnyListen
  lldb-unit :: debugserver/./debugserverTests/RNBSocket.LoopBackConnectIPv4
  lldb-unit :: debugserver/./debugserverTests/RNBSocket.LoopBackConnectIPv6
  lldb-unit :: debugserver/./debugserverTests/RNBSocket.LoopBackListenIPv4
  lldb-unit :: debugserver/./debugserverTests/RNBSocket.LoopBackListenIPv6
  lldb-unit :: tools/lldb-server/tests/./LLDBServerTests/StandardStartupTest.TestStopReplyContainsThreadPcs
  lldb-unit :: tools/lldb-server/tests/./LLDBServerTests/TestBase.DebugserverEnv
  lldb-unit :: tools/lldb-server/tests/./LLDBServerTests/TestBase.LaunchModePreservesEnvironment
JDevlieghere added a comment.EditedJun 12 2020, 2:02 PM

Guys help me figure out what may be wrong. Executed below listed command and can't find my newly added unit tests ThreadTest, ProcessEventDataTest.

Fixed in bfea1df9f01393bac6d2ce6a45d3b764b01e9e9e. Lit filters on the Tests suffix (note the trailings). I'll add a warning to add_lldb_unittest to prevent this from happening in the future.

Guys help me figure out what may be wrong. Executed below listed command and can't find my newly added unit tests ThreadTest, ProcessEventDataTest.

Fixed in bfea1df9f01393bac6d2ce6a45d3b764b01e9e9e. Lit filters on the Tests suffix (note the trailings). I'll add a warning to add_lldb_unittest to prevent this from happening in the future.

Thanks, I’v already started to think we forgot to add something in somewhere :)